/* SettingsManager.c generated by valac 0.32.1, the Vala compiler
 * generated from SettingsManager.vala, do not modify */

/* Copyright 2014-2016 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gstdio.h>
#include <stdio.h>
#include <gobject/gvaluecollector.h>


#define TYPE_SETTINGS_MANAGER (settings_manager_get_type ())
#define SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_MANAGER, SettingsManager))
#define SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_MANAGER, SettingsManagerClass))
#define IS_SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_MANAGER))
#define IS_SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_MANAGER))
#define SETTINGS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_MANAGER, SettingsManagerClass))

typedef struct _SettingsManager SettingsManager;
typedef struct _SettingsManagerClass SettingsManagerClass;
typedef struct _SettingsManagerPrivate SettingsManagerPrivate;
#define _g_key_file_unref0(var) ((var == NULL) ? NULL : (var = (g_key_file_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecSettingsManager ParamSpecSettingsManager;

struct _SettingsManager {
	GTypeInstance parent_instance;
	volatile int ref_count;
	SettingsManagerPrivate * priv;
	gboolean first_start;
};

struct _SettingsManagerClass {
	GTypeClass parent_class;
	void (*finalize) (SettingsManager *self);
};

struct _SettingsManagerPrivate {
	GKeyFile* key_file;
};

struct _ParamSpecSettingsManager {
	GParamSpec parent_instance;
};


static gpointer settings_manager_parent_class = NULL;

gpointer settings_manager_ref (gpointer instance);
void settings_manager_unref (gpointer instance);
GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_settings_manager (GValue* value, gpointer v_object);
void value_take_settings_manager (GValue* value, gpointer v_object);
gpointer value_get_settings_manager (const GValue* value);
GType settings_manager_get_type (void) G_GNUC_CONST;
#define SETTINGS_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SETTINGS_MANAGER, SettingsManagerPrivate))
enum  {
	SETTINGS_MANAGER_DUMMY_PROPERTY
};
#define SETTINGS_MANAGER_GROUP_TODO_TXT "Todo.txt"
#define SETTINGS_MANAGER_GROUP_TIMER "Timer"
#define SETTINGS_MANAGER_GROUP_UI "Interface"
SettingsManager* settings_manager_new_load_from_key_file (void);
SettingsManager* settings_manager_construct_load_from_key_file (GType object_type);
gchar* gofi_utils_get_config_file (void);
static void settings_manager_generate_configuration (SettingsManager* self);
static gchar* settings_manager_header_bar_default (SettingsManager* self);
static gchar* settings_manager_get_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* _default_);
static void settings_manager_set_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* value);
static void settings_manager_write_key_file (SettingsManager* self, GError** error);
void settings_manager_set_todo_txt_location (SettingsManager* self, const gchar* value);
SettingsManager* settings_manager_new (void);
SettingsManager* settings_manager_construct (GType object_type);
gchar* settings_manager_get_todo_txt_location (SettingsManager* self);
gint settings_manager_get_task_duration (SettingsManager* self);
void settings_manager_set_task_duration (SettingsManager* self, gint value);
gint settings_manager_get_break_duration (SettingsManager* self);
void settings_manager_set_break_duration (SettingsManager* self, gint value);
gint settings_manager_get_reminder_time (SettingsManager* self);
void settings_manager_set_reminder_time (SettingsManager* self, gint value);
gboolean settings_manager_get_reminder_active (SettingsManager* self);
gint settings_manager_get_win_x (SettingsManager* self);
void settings_manager_set_win_x (SettingsManager* self, gint value);
gint settings_manager_get_win_y (SettingsManager* self);
void settings_manager_set_win_y (SettingsManager* self, gint value);
gint settings_manager_get_win_width (SettingsManager* self);
void settings_manager_set_win_width (SettingsManager* self, gint value);
gint settings_manager_get_win_height (SettingsManager* self);
void settings_manager_set_win_height (SettingsManager* self, gint value);
gboolean settings_manager_get_use_header_bar (SettingsManager* self);
void settings_manager_set_use_header_bar (SettingsManager* self, gboolean value);
gboolean settings_manager_get_use_dark_theme (SettingsManager* self);
void settings_manager_set_use_dark_theme (SettingsManager* self, gboolean value);
static void settings_manager_finalize (SettingsManager* obj);

extern const gchar* GOFI_TEST_DIRS[5];

/**
     * Constructs a SettingsManager object from a configuration file.
     * Reads the corresponding file and creates it, if necessary.
     */
SettingsManager* settings_manager_construct_load_from_key_file (GType object_type) {
	SettingsManager* self = NULL;
	GKeyFile* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	GError * _inner_error_ = NULL;
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self = (SettingsManager*) g_type_create_instance (object_type);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = g_key_file_new ();
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_key_file_unref0 (self->priv->key_file);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self->priv->key_file = _tmp0_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = gofi_utils_get_config_file ();
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp3_ = _tmp2_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp4_ = g_file_test (_tmp3_, G_FILE_TEST_EXISTS);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp5_ = !_tmp4_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp3_);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (_tmp5_) {
#line 163 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		settings_manager_generate_configuration (self);
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		self->first_start = TRUE;
#line 157 "SettingsManager.c"
	} else {
		{
			GKeyFile* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
			gchar* _tmp9_ = NULL;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp6_ = self->priv->key_file;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp7_ = gofi_utils_get_config_file ();
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp8_ = _tmp7_;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp9_ = _tmp8_;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_key_file_load_from_file (_tmp6_, _tmp9_, G_KEY_FILE_KEEP_COMMENTS | G_KEY_FILE_KEEP_TRANSLATIONS, &_inner_error_);
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_g_free0 (_tmp9_);
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 178 "SettingsManager.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			FILE* _tmp10_ = NULL;
			gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			e = _inner_error_;
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_inner_error_ = NULL;
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp10_ = stderr;
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp11_ = gofi_utils_get_config_file ();
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp12_ = _tmp11_;
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp13_ = _tmp12_;
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			fprintf (_tmp10_, "Reading %s failed", _tmp13_);
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_g_free0 (_tmp13_);
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp14_ = e->message;
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_error ("SettingsManager.vala:172: %s", _tmp14_);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_g_error_free0 (e);
#line 213 "SettingsManager.c"
		}
		__finally0:
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_clear_error (&_inner_error_);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			return NULL;
#line 224 "SettingsManager.c"
		}
	}
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return self;
#line 229 "SettingsManager.c"
}


SettingsManager* settings_manager_new_load_from_key_file (void) {
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return settings_manager_construct_load_from_key_file (TYPE_SETTINGS_MANAGER);
#line 236 "SettingsManager.c"
}


static gchar* settings_manager_header_bar_default (SettingsManager* self) {
	gchar* result = NULL;
	gchar* desktop = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	GQuark _tmp5_ = 0U;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	static GQuark _tmp4_label0 = 0;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	static GQuark _tmp4_label1 = 0;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	static GQuark _tmp4_label2 = 0;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	static GQuark _tmp4_label3 = 0;
#line 177 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = g_getenv ("DESKTOP_SESSION");
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	desktop = _tmp1_;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = desktop;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp3_ = _tmp2_;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp5_ = (NULL == _tmp3_) ? 0 : g_quark_from_string (_tmp3_);
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (_tmp5_ == ((0 != _tmp4_label0) ? _tmp4_label0 : (_tmp4_label0 = g_quark_from_static_string ("ubuntu")))) {
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		switch (0) {
#line 274 "SettingsManager.c"
			default:
			{
				gchar* _tmp6_ = NULL;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp6_ = g_strdup ("false");
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				result = _tmp6_;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_g_free0 (desktop);
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				return result;
#line 286 "SettingsManager.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label1) ? _tmp4_label1 : (_tmp4_label1 = g_quark_from_static_string ("kde")))) {
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		switch (0) {
#line 292 "SettingsManager.c"
			default:
			{
				gchar* _tmp7_ = NULL;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp7_ = g_strdup ("false");
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				result = _tmp7_;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_g_free0 (desktop);
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				return result;
#line 304 "SettingsManager.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label2) ? _tmp4_label2 : (_tmp4_label2 = g_quark_from_static_string ("plasma")))) {
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		switch (0) {
#line 310 "SettingsManager.c"
			default:
			{
				gchar* _tmp8_ = NULL;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp8_ = g_strdup ("false");
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				result = _tmp8_;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_g_free0 (desktop);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				return result;
#line 322 "SettingsManager.c"
			}
		}
	} else if (_tmp5_ == ((0 != _tmp4_label3) ? _tmp4_label3 : (_tmp4_label3 = g_quark_from_static_string ("")))) {
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		switch (0) {
#line 328 "SettingsManager.c"
			default:
			{
				gchar* _tmp9_ = NULL;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp9_ = g_strdup ("false");
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				result = _tmp9_;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_g_free0 (desktop);
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				return result;
#line 340 "SettingsManager.c"
			}
		}
	} else {
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		switch (0) {
#line 346 "SettingsManager.c"
			default:
			{
				gchar* _tmp10_ = NULL;
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp10_ = g_strdup ("true");
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				result = _tmp10_;
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_g_free0 (desktop);
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				return result;
#line 358 "SettingsManager.c"
			}
		}
	}
#line 177 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (desktop);
#line 364 "SettingsManager.c"
}


/**
     * Provides read access to a setting, given a certain group and key.
     * Public access is granted via the SettingsManager's attributes, so this
     * function has been declared private
     */
static gchar* settings_manager_get_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* _default_) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (_default_ != NULL, NULL);
#line 384 "SettingsManager.c"
	{
		gboolean _tmp0_ = FALSE;
		gboolean _tmp1_ = FALSE;
		GKeyFile* _tmp2_ = NULL;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		_tmp2_ = self->priv->key_file;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		if (_tmp2_ != NULL) {
#line 393 "SettingsManager.c"
			GKeyFile* _tmp3_ = NULL;
			const gchar* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp3_ = self->priv->key_file;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp4_ = group;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp5_ = g_key_file_has_group (_tmp3_, _tmp4_);
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp1_ = _tmp5_;
#line 405 "SettingsManager.c"
		} else {
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp1_ = FALSE;
#line 409 "SettingsManager.c"
		}
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		if (_tmp1_) {
#line 413 "SettingsManager.c"
			gboolean _tmp6_ = FALSE;
			GKeyFile* _tmp7_ = NULL;
			const gchar* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			gboolean _tmp10_ = FALSE;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp7_ = self->priv->key_file;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp8_ = group;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp9_ = key;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp10_ = g_key_file_has_key (_tmp7_, _tmp8_, _tmp9_, &_inner_error_);
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp6_ = _tmp10_;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 431 "SettingsManager.c"
				goto __catch1_g_error;
			}
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp0_ = _tmp6_;
#line 436 "SettingsManager.c"
		} else {
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp0_ = FALSE;
#line 440 "SettingsManager.c"
		}
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		if (_tmp0_) {
#line 444 "SettingsManager.c"
			gchar* _tmp11_ = NULL;
			GKeyFile* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp12_ = self->priv->key_file;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp13_ = group;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp14_ = key;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp15_ = g_key_file_get_value (_tmp12_, _tmp13_, _tmp14_, &_inner_error_);
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp11_ = _tmp15_;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 463 "SettingsManager.c"
				goto __catch1_g_error;
			}
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp16_ = _tmp11_;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp11_ = NULL;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			result = _tmp16_;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_g_free0 (_tmp11_);
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			return result;
#line 476 "SettingsManager.c"
		} else {
			const gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 207 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp17_ = _default_;
#line 207 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp18_ = g_strdup (_tmp17_);
#line 207 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			result = _tmp18_;
#line 207 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			return result;
#line 488 "SettingsManager.c"
		}
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		e = _inner_error_;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		_inner_error_ = NULL;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		_tmp19_ = group;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		_tmp20_ = key;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		_tmp21_ = e->message;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_error ("An error occured while reading the setting" " %s.%s: %s", _tmp19_, _tmp20_, _tmp21_);
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		_g_error_free0 (e);
#line 512 "SettingsManager.c"
	}
	__finally1:
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_clear_error (&_inner_error_);
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return NULL;
#line 521 "SettingsManager.c"
}


/**
     * Provides write access to a setting, given a certain group key and value.
     * Public access is granted via the SettingsManager's attributes, so this
     * function has been declared private
     */
static void settings_manager_set_value (SettingsManager* self, const gchar* group, const gchar* key, const gchar* value) {
	GKeyFile* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (group != NULL);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (key != NULL);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (value != NULL);
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = self->priv->key_file;
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (_tmp0_ != NULL) {
#line 545 "SettingsManager.c"
		{
			GKeyFile* _tmp1_ = NULL;
			const gchar* _tmp2_ = NULL;
			const gchar* _tmp3_ = NULL;
			const gchar* _tmp4_ = NULL;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp1_ = self->priv->key_file;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp2_ = group;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp3_ = key;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp4_ = value;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_key_file_set_value (_tmp1_, _tmp2_, _tmp3_, _tmp4_);
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			settings_manager_write_key_file (self, &_inner_error_);
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 565 "SettingsManager.c"
				goto __catch2_g_error;
			}
		}
		goto __finally2;
		__catch2_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
			const gchar* _tmp7_ = NULL;
			const gchar* _tmp8_ = NULL;
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			e = _inner_error_;
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_inner_error_ = NULL;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp5_ = group;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp6_ = key;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp7_ = value;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_tmp8_ = e->message;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_error ("An error occured while setting the setting" " %s.%s to %s: %s", _tmp5_, _tmp6_, _tmp7_, _tmp8_);
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			_g_error_free0 (e);
#line 593 "SettingsManager.c"
		}
		__finally2:
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			g_clear_error (&_inner_error_);
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			return;
#line 604 "SettingsManager.c"
		}
	}
}


/**
     * Function made for compability with older versions of GLib.
     */
static void settings_manager_write_key_file (SettingsManager* self, GError** error) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GKeyFile* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	GError * _inner_error_ = NULL;
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = gofi_utils_get_config_file ();
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp3_ = self->priv->key_file;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp4_ = g_key_file_to_data (_tmp3_, NULL, NULL);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp5_ = _tmp4_;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_file_set_contents (_tmp2_, _tmp5_, (gssize) -1, &_inner_error_);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp5_);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_propagate_error (error, _inner_error_);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		return;
#line 647 "SettingsManager.c"
	}
}


/**
     * Generates the default configuration.
     * It also tries to automatically determine the location of the user's 
     * Todo.txt directory by checking a set of common potential 
     * "standard locations", which are defined in GOFI.TEST_DIRS in Utils.vala.
     */
static void settings_manager_generate_configuration (SettingsManager* self) {
	gchar* user_dir = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* todo_dir = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp12_ = NULL;
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = g_get_home_dir ();
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	user_dir = _tmp1_;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = user_dir;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp3_ = GOFI_TEST_DIRS[0];
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp4_ = g_build_filename (_tmp2_, _tmp3_, NULL);
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	todo_dir = _tmp4_;
#line 683 "SettingsManager.c"
	{
		const gchar** test_sub_dir_collection = NULL;
		gint test_sub_dir_collection_length1 = 0;
		gint _test_sub_dir_collection_size_ = 0;
		gint test_sub_dir_it = 0;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		test_sub_dir_collection = GOFI_TEST_DIRS;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		test_sub_dir_collection_length1 = G_N_ELEMENTS (GOFI_TEST_DIRS);
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		for (test_sub_dir_it = 0; test_sub_dir_it < G_N_ELEMENTS (GOFI_TEST_DIRS); test_sub_dir_it = test_sub_dir_it + 1) {
#line 695 "SettingsManager.c"
			const gchar* test_sub_dir = NULL;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			test_sub_dir = test_sub_dir_collection[test_sub_dir_it];
#line 699 "SettingsManager.c"
			{
				gchar* test_dir = NULL;
				const gchar* _tmp5_ = NULL;
				const gchar* _tmp6_ = NULL;
				gchar* _tmp7_ = NULL;
				const gchar* _tmp8_ = NULL;
				gboolean _tmp9_ = FALSE;
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp5_ = user_dir;
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp6_ = test_sub_dir;
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp7_ = g_build_filename (_tmp5_, _tmp6_, NULL);
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				test_dir = _tmp7_;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp8_ = test_dir;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_tmp9_ = g_file_test (_tmp8_, G_FILE_TEST_EXISTS);
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				if (_tmp9_) {
#line 721 "SettingsManager.c"
					const gchar* _tmp10_ = NULL;
					gchar* _tmp11_ = NULL;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
					_tmp10_ = test_dir;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
					_tmp11_ = g_strdup (_tmp10_);
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
					_g_free0 (todo_dir);
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
					todo_dir = _tmp11_;
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
					_g_free0 (test_dir);
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
					break;
#line 736 "SettingsManager.c"
				}
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
				_g_free0 (test_dir);
#line 740 "SettingsManager.c"
			}
		}
	}
#line 261 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp12_ = todo_dir;
#line 261 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_todo_txt_location (self, _tmp12_);
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (todo_dir);
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (user_dir);
#line 752 "SettingsManager.c"
}


SettingsManager* settings_manager_construct (GType object_type) {
	SettingsManager* self = NULL;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self = (SettingsManager*) g_type_create_instance (object_type);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return self;
#line 762 "SettingsManager.c"
}


SettingsManager* settings_manager_new (void) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return settings_manager_construct (TYPE_SETTINGS_MANAGER);
#line 769 "SettingsManager.c"
}


gchar* settings_manager_get_todo_txt_location (SettingsManager* self) {
	gchar* result;
	gchar* _tmp0_ = NULL;
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TODO_TXT, "location", "");
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp0_;
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 784 "SettingsManager.c"
}


void settings_manager_set_todo_txt_location (SettingsManager* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TODO_TXT, "location", _tmp0_);
#line 47 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "todo-txt-location-changed");
#line 798 "SettingsManager.c"
}


gint settings_manager_get_task_duration (SettingsManager* self) {
	gint result;
	gchar* duration = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "task_duration", "1500");
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	duration = _tmp0_;
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (duration);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (duration);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 821 "SettingsManager.c"
}


void settings_manager_set_task_duration (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "task_duration", _tmp2_);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "timer-duration-changed");
#line 843 "SettingsManager.c"
}


gint settings_manager_get_break_duration (SettingsManager* self) {
	gint result;
	gchar* duration = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "break_duration", "300");
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	duration = _tmp0_;
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (duration);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (duration);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 866 "SettingsManager.c"
}


void settings_manager_set_break_duration (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "break_duration", _tmp2_);
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "timer-duration-changed");
#line 888 "SettingsManager.c"
}


gint settings_manager_get_reminder_time (SettingsManager* self) {
	gint result;
	gchar* time = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "reminder_time", "60");
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	time = _tmp0_;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (time);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (time);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 911 "SettingsManager.c"
}


void settings_manager_set_reminder_time (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "reminder_time", _tmp2_);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 931 "SettingsManager.c"
}


gboolean settings_manager_get_reminder_active (SettingsManager* self) {
	gboolean result;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
#line 81 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_reminder_time (self);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_ > 0;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 949 "SettingsManager.c"
}


gint settings_manager_get_win_x (SettingsManager* self) {
	gint result;
	gchar* x = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_x", "-1");
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	x = _tmp0_;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (x);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (x);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 972 "SettingsManager.c"
}


void settings_manager_set_win_x (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_x", _tmp2_);
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 992 "SettingsManager.c"
}


gint settings_manager_get_win_y (SettingsManager* self) {
	gint result;
	gchar* y = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_y", "-1");
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	y = _tmp0_;
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (y);
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (y);
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 1015 "SettingsManager.c"
}


void settings_manager_set_win_y (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_y", _tmp2_);
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 1035 "SettingsManager.c"
}


gint settings_manager_get_win_width (SettingsManager* self) {
	gint result;
	gchar* width = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_width", "350");
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	width = _tmp0_;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (width);
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (width);
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 1058 "SettingsManager.c"
}


void settings_manager_set_win_width (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_width", _tmp2_);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 1078 "SettingsManager.c"
}


gint settings_manager_get_win_height (SettingsManager* self) {
	gint result;
	gchar* height = NULL;
	gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_height", "650");
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	height = _tmp0_;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = atoi (height);
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (height);
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 1101 "SettingsManager.c"
}


void settings_manager_set_win_height (SettingsManager* self, gint value) {
	gint _tmp0_ = 0;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = g_strdup_printf ("%i", _tmp0_);
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_height", _tmp2_);
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 1121 "SettingsManager.c"
}


static gboolean bool_parse (const gchar* str) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
#line 44 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 45 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 45 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	if (g_strcmp0 (_tmp0_, "true") == 0) {
#line 46 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		result = TRUE;
#line 46 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		return result;
#line 1138 "SettingsManager.c"
	} else {
#line 48 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		result = FALSE;
#line 48 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		return result;
#line 1144 "SettingsManager.c"
	}
}


gboolean settings_manager_get_use_header_bar (SettingsManager* self) {
	gboolean result;
	gchar* use_header_bar = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_header_bar_default (self);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "use_header_bar", _tmp1_);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp3_ = _tmp2_;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	use_header_bar = _tmp3_;
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp4_ = bool_parse (use_header_bar);
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp4_;
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (use_header_bar);
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 1179 "SettingsManager.c"
}


static gchar* bool_to_string (gboolean self) {
	gchar* result = NULL;
#line 37 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	if (self) {
#line 1187 "SettingsManager.c"
		gchar* _tmp0_ = NULL;
#line 38 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp0_ = g_strdup ("true");
#line 38 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		result = _tmp0_;
#line 38 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		return result;
#line 1195 "SettingsManager.c"
	} else {
		gchar* _tmp1_ = NULL;
#line 40 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp1_ = g_strdup ("false");
#line 40 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		result = _tmp1_;
#line 40 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		return result;
#line 1204 "SettingsManager.c"
	}
}


void settings_manager_set_use_header_bar (SettingsManager* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = bool_to_string (_tmp0_);
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "use_header_bar", _tmp2_);
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "use-header-bar-changed");
#line 1227 "SettingsManager.c"
}


gboolean settings_manager_get_use_dark_theme (SettingsManager* self) {
	gboolean result;
	gchar* use_dark = NULL;
	gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "use_dark_theme", "false");
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	use_dark = _tmp0_;
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = bool_parse (use_dark);
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	result = _tmp1_;
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (use_dark);
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return result;
#line 1250 "SettingsManager.c"
}


void settings_manager_set_use_dark_theme (SettingsManager* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp0_ = value;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp1_ = bool_to_string (_tmp0_);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "use_dark_theme", _tmp2_);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_tmp3_ = value;
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_emit_by_name (self, "use-dark-theme-changed", _tmp3_);
#line 1275 "SettingsManager.c"
}


static void value_settings_manager_init (GValue* value) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	value->data[0].v_pointer = NULL;
#line 1282 "SettingsManager.c"
}


static void value_settings_manager_free_value (GValue* value) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (value->data[0].v_pointer) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		settings_manager_unref (value->data[0].v_pointer);
#line 1291 "SettingsManager.c"
	}
}


static void value_settings_manager_copy_value (const GValue* src_value, GValue* dest_value) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (src_value->data[0].v_pointer) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		dest_value->data[0].v_pointer = settings_manager_ref (src_value->data[0].v_pointer);
#line 1301 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1305 "SettingsManager.c"
	}
}


static gpointer value_settings_manager_peek_pointer (const GValue* value) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return value->data[0].v_pointer;
#line 1313 "SettingsManager.c"
}


static gchar* value_settings_manager_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (collect_values[0].v_pointer) {
#line 1320 "SettingsManager.c"
		SettingsManager* object;
		object = collect_values[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		if (object->parent_instance.g_class == NULL) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1327 "SettingsManager.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1331 "SettingsManager.c"
		}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		value->data[0].v_pointer = settings_manager_ref (object);
#line 1335 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1339 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return NULL;
#line 1343 "SettingsManager.c"
}


static gchar* value_settings_manager_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	SettingsManager** object_p;
	object_p = collect_values[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (!object_p) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1354 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (!value->data[0].v_pointer) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		*object_p = NULL;
#line 1360 "SettingsManager.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		*object_p = value->data[0].v_pointer;
#line 1364 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		*object_p = settings_manager_ref (value->data[0].v_pointer);
#line 1368 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return NULL;
#line 1372 "SettingsManager.c"
}


GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecSettingsManager* spec;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_SETTINGS_MANAGER), NULL);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return G_PARAM_SPEC (spec);
#line 1386 "SettingsManager.c"
}


gpointer value_get_settings_manager (const GValue* value) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER), NULL);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return value->data[0].v_pointer;
#line 1395 "SettingsManager.c"
}


void value_set_settings_manager (GValue* value, gpointer v_object) {
	SettingsManager* old;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	old = value->data[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (v_object) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		value->data[0].v_pointer = v_object;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		settings_manager_ref (value->data[0].v_pointer);
#line 1415 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1419 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (old) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		settings_manager_unref (old);
#line 1425 "SettingsManager.c"
	}
}


void value_take_settings_manager (GValue* value, gpointer v_object) {
	SettingsManager* old;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	old = value->data[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (v_object) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		value->data[0].v_pointer = v_object;
#line 1444 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1448 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (old) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		settings_manager_unref (old);
#line 1454 "SettingsManager.c"
	}
}


static void settings_manager_class_init (SettingsManagerClass * klass) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	settings_manager_parent_class = g_type_class_peek_parent (klass);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	((SettingsManagerClass *) klass)->finalize = settings_manager_finalize;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_type_class_add_private (klass, sizeof (SettingsManagerPrivate));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_new ("todo_txt_location_changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_new ("timer_duration_changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_new ("use_dark_theme_changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOOLEAN, G_TYPE_NONE, 1, G_TYPE_BOOLEAN);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_new ("use_header_bar_changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1474 "SettingsManager.c"
}


static void settings_manager_instance_init (SettingsManager * self) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self->priv = SETTINGS_MANAGER_GET_PRIVATE (self);
#line 35 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self->first_start = FALSE;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self->ref_count = 1;
#line 1485 "SettingsManager.c"
}


static void settings_manager_finalize (SettingsManager* obj) {
	SettingsManager * self;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SETTINGS_MANAGER, SettingsManager);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_signal_handlers_destroy (self);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	_g_key_file_unref0 (self->priv->key_file);
#line 1497 "SettingsManager.c"
}


/**
 * A class that handles access to settings in a transparent manner.
 * Its main motivation is the option of easily replacing Glib.KeyFile with 
 * another settings storage mechanism in the future.
 */
GType settings_manager_get_type (void) {
	static volatile gsize settings_manager_type_id__volatile = 0;
	if (g_once_init_enter (&settings_manager_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_settings_manager_init, value_settings_manager_free_value, value_settings_manager_copy_value, value_settings_manager_peek_pointer, "p", value_settings_manager_collect_value, "p", value_settings_manager_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (SettingsManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) settings_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SettingsManager), 0, (GInstanceInitFunc) settings_manager_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType settings_manager_type_id;
		settings_manager_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SettingsManager", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&settings_manager_type_id__volatile, settings_manager_type_id);
	}
	return settings_manager_type_id__volatile;
}


gpointer settings_manager_ref (gpointer instance) {
	SettingsManager* self;
	self = instance;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	g_atomic_int_inc (&self->ref_count);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	return instance;
#line 1527 "SettingsManager.c"
}


void settings_manager_unref (gpointer instance) {
	SettingsManager* self;
	self = instance;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		SETTINGS_MANAGER_GET_CLASS (self)->finalize (self);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/SettingsManager.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1540 "SettingsManager.c"
	}
}



