/* TaskManager.c generated by valac 0.32.1, the Vala compiler
 * generated from TaskManager.vala, do not modify */

/* Copyright 2014-2016 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <stdio.h>
#include <glib/gstdio.h>
#include <gobject/gvaluecollector.h>


#define TYPE_TASK_MANAGER (task_manager_get_type ())
#define TASK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_MANAGER, TaskManager))
#define TASK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_MANAGER, TaskManagerClass))
#define IS_TASK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_MANAGER))
#define IS_TASK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_MANAGER))
#define TASK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_MANAGER, TaskManagerClass))

typedef struct _TaskManager TaskManager;
typedef struct _TaskManagerClass TaskManagerClass;
typedef struct _TaskManagerPrivate TaskManagerPrivate;

#define TYPE_TASK_STORE (task_store_get_type ())
#define TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_STORE, TaskStore))
#define TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_STORE, TaskStoreClass))
#define IS_TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_STORE))
#define IS_TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_STORE))
#define TASK_STORE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_STORE, TaskStoreClass))

typedef struct _TaskStore TaskStore;
typedef struct _TaskStoreClass TaskStoreClass;

#define TYPE_SETTINGS_MANAGER (settings_manager_get_type ())
#define SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_MANAGER, SettingsManager))
#define SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_MANAGER, SettingsManagerClass))
#define IS_SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_MANAGER))
#define IS_SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_MANAGER))
#define SETTINGS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_MANAGER, SettingsManagerClass))

typedef struct _SettingsManager SettingsManager;
typedef struct _SettingsManagerClass SettingsManagerClass;
#define _settings_manager_unref0(var) ((var == NULL) ? NULL : (var = (settings_manager_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _SettingsManagerPrivate SettingsManagerPrivate;

#define TYPE_TODO_TASK (todo_task_get_type ())
#define TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TODO_TASK, TodoTask))
#define TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TODO_TASK, TodoTaskClass))
#define IS_TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TODO_TASK))
#define IS_TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TODO_TASK))
#define TODO_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TODO_TASK, TodoTaskClass))

typedef struct _TodoTask TodoTask;
typedef struct _TodoTaskClass TodoTaskClass;
typedef struct _TaskStorePrivate TaskStorePrivate;
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block1Data Block1Data;
#define _task_manager_unref0(var) ((var == NULL) ? NULL : (var = (task_manager_unref (var), NULL)))
typedef struct _ParamSpecTaskManager ParamSpecTaskManager;

struct _TaskManager {
	GTypeInstance parent_instance;
	volatile int ref_count;
	TaskManagerPrivate * priv;
	TaskStore* todo_store;
	TaskStore* done_store;
};

struct _TaskManagerClass {
	GTypeClass parent_class;
	void (*finalize) (TaskManager *self);
};

struct _TaskManagerPrivate {
	SettingsManager* settings;
	GFile* todo_txt_dir;
	GFile* todo_txt;
	GFile* done_txt;
	gboolean read_only;
	gboolean need_to_add_tasks;
	gboolean io_failed;
	GFileMonitor* todo_monitor;
	GFileMonitor* done_monitor;
	gboolean prevent_refresh;
	gchar* todo_etag;
	gchar* done_etag;
	gchar** default_todos;
	gint default_todos_length1;
	gint _default_todos_size_;
	gchar* error_implications;
};

struct _SettingsManager {
	GTypeInstance parent_instance;
	volatile int ref_count;
	SettingsManagerPrivate * priv;
	gboolean first_start;
};

struct _SettingsManagerClass {
	GTypeClass parent_class;
	void (*finalize) (SettingsManager *self);
};

struct _TaskStore {
	GtkListStore parent_instance;
	TaskStorePrivate * priv;
	gboolean active_task_invalid;
	gboolean done_by_default;
	TodoTask* active_task;
};

struct _TaskStoreClass {
	GtkListStoreClass parent_class;
};

struct _Block1Data {
	int _ref_count_;
	TaskManager* self;
	GtkMessageDialog* dialog;
};

struct _ParamSpecTaskManager {
	GParamSpec parent_instance;
};


static gpointer task_manager_parent_class = NULL;

gpointer task_manager_ref (gpointer instance);
void task_manager_unref (gpointer instance);
GParamSpec* param_spec_task_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_task_manager (GValue* value, gpointer v_object);
void value_take_task_manager (GValue* value, gpointer v_object);
gpointer value_get_task_manager (const GValue* value);
GType task_manager_get_type (void) G_GNUC_CONST;
GType task_store_get_type (void) G_GNUC_CONST;
gpointer settings_manager_ref (gpointer instance);
void settings_manager_unref (gpointer instance);
GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_settings_manager (GValue* value, gpointer v_object);
void value_take_settings_manager (GValue* value, gpointer v_object);
gpointer value_get_settings_manager (const GValue* value);
GType settings_manager_get_type (void) G_GNUC_CONST;
#define TASK_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_TASK_MANAGER, TaskManagerPrivate))
enum  {
	TASK_MANAGER_DUMMY_PROPERTY
};
TaskManager* task_manager_new (SettingsManager* settings);
TaskManager* task_manager_construct (GType object_type, SettingsManager* settings);
TaskStore* task_store_new (gboolean done_by_default);
TaskStore* task_store_construct (GType object_type, gboolean done_by_default);
static void task_manager_load_task_stores (TaskManager* self);
static void _task_manager_load_task_stores_settings_manager_todo_txt_location_changed (SettingsManager* _sender, gpointer self);
static void task_manager_auto_transfer_tasks (TaskManager* self);
GType todo_task_get_type (void) G_GNUC_CONST;
void task_manager_set_active_task (TaskManager* self, TodoTask* task);
void task_manager_add_new_task (TaskManager* self, const gchar* task);
void task_store_add_task (TaskStore* self, const gchar* description, gint position);
void task_manager_mark_task_done (TaskManager* self, const GtkTreeRowReference* reference);
static void task_manager_transfer_task (TaskManager* self, GtkTreeIter* iter, TaskStore* source, TaskStore* destination);
void task_store_remove_task (TaskStore* self, GtkTreeIter* iter);
void task_manager_clear_done_store (TaskManager* self);
static void task_manager_save_tasks (TaskManager* self);
void task_manager_refresh (TaskManager* self);
static void task_manager_load_tasks (TaskManager* self);
static gboolean task_manager_auto_refresh (TaskManager* self);
static gboolean task_manager_check_etags (TaskManager* self);
static void task_manager_gen_etags (TaskManager* self);
gchar* settings_manager_get_todo_txt_location (SettingsManager* self);
static void _task_manager_save_tasks_task_store_task_data_changed (TaskStore* _sender, gpointer self);
static void task_manager_task_done_handler (TaskManager* self, TaskStore* source, GtkTreeIter* iter);
static void _task_manager_task_done_handler_task_store_task_done_changed (TaskStore* _sender, GtkTreeIter* iter, gpointer self);
static void __lambda5_ (TaskManager* self);
static void ___lambda5__task_store_refresh_active_task (TaskStore* _sender, gpointer self);
static void task_manager_watch_files (TaskManager* self);
static void task_manager_on_file_changed (TaskManager* self);
static void _task_manager_on_file_changed_g_file_monitor_changed (GFileMonitor* _sender, GFile* file, GFile* other_file, GFileMonitorEvent event_type, gpointer self);
static gboolean _task_manager_auto_refresh_gsource_func (gpointer self);
static void task_manager_read_task_file (TaskManager* self, TaskStore* store, GFile* file);
static void task_manager_write_task_file (TaskManager* self, TaskStore* store, GFile* file);
static void task_manager_show_error_dialog (TaskManager* self, const gchar* error_message);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void __lambda4_ (Block1Data* _data1_, gint response_id);
static void ___lambda4__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self);
void task_store_add_initial_task (TaskStore* self, const gchar* description, gboolean done, gint position);
static void task_manager_finalize (TaskManager* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gpointer _settings_manager_ref0 (gpointer self) {
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return self ? settings_manager_ref (self) : NULL;
#line 221 "TaskManager.c"
}


static void _task_manager_load_task_stores_settings_manager_todo_txt_location_changed (SettingsManager* _sender, gpointer self) {
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_load_task_stores ((TaskManager*) self);
#line 228 "TaskManager.c"
}


TaskManager* task_manager_construct (GType object_type, SettingsManager* settings) {
	TaskManager* self = NULL;
	SettingsManager* _tmp0_ = NULL;
	SettingsManager* _tmp1_ = NULL;
	SettingsManager* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	TaskStore* _tmp4_ = NULL;
	TaskStore* _tmp5_ = NULL;
	SettingsManager* _tmp6_ = NULL;
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_val_if_fail (settings != NULL, NULL);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self = (TaskManager*) g_type_create_instance (object_type);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = settings;
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = _settings_manager_ref0 (_tmp0_);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->settings = _tmp1_;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = settings;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = _tmp2_->first_start;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->need_to_add_tasks = _tmp3_;
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp4_ = task_store_new (FALSE);
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->todo_store);
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->todo_store = _tmp4_;
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = task_store_new (TRUE);
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->done_store);
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->done_store = _tmp5_;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->prevent_refresh = FALSE;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_load_task_stores (self);
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = settings;
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp6_, "todo-txt-location-changed", (GCallback) _task_manager_load_task_stores_settings_manager_todo_txt_location_changed, self);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_auto_transfer_tasks (self);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return self;
#line 283 "TaskManager.c"
}


TaskManager* task_manager_new (SettingsManager* settings) {
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return task_manager_construct (TYPE_TASK_MANAGER, settings);
#line 290 "TaskManager.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 297 "TaskManager.c"
}


void task_manager_set_active_task (TaskManager* self, TodoTask* task) {
	TaskStore* _tmp0_ = NULL;
	TodoTask* _tmp1_ = NULL;
	TodoTask* _tmp2_ = NULL;
	TaskStore* _tmp3_ = NULL;
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->todo_store;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = task;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (_tmp0_->active_task);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_->active_task = _tmp2_;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = self->todo_store;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_->active_task_invalid = FALSE;
#line 322 "TaskManager.c"
}


/**
     * To be called when adding a new (undone) task.
     */
void task_manager_add_new_task (TaskManager* self, const gchar* task) {
	TaskStore* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 84 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 84 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (task != NULL);
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->todo_store;
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = task;
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_store_add_task (_tmp0_, _tmp1_, -1);
#line 342 "TaskManager.c"
}


void task_manager_mark_task_done (TaskManager* self, const GtkTreeRowReference* reference) {
	const GtkTreeRowReference* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (reference != NULL);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = reference;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = gtk_tree_row_reference_valid (_tmp0_);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp1_) {
#line 359 "TaskManager.c"
		GtkTreePath* path = NULL;
		const GtkTreeRowReference* _tmp2_ = NULL;
		GtkTreePath* _tmp3_ = NULL;
		GtkTreeIter iter = {0};
		TaskStore* _tmp4_ = NULL;
		GtkTreePath* _tmp5_ = NULL;
		GtkTreeIter _tmp6_ = {0};
		GtkTreeIter _tmp7_ = {0};
		TaskStore* _tmp8_ = NULL;
		TaskStore* _tmp9_ = NULL;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp2_ = reference;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp3_ = gtk_tree_row_reference_get_path (_tmp2_);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		path = _tmp3_;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = self->todo_store;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp5_ = path;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		gtk_tree_model_get_iter ((GtkTreeModel*) _tmp4_, &_tmp6_, _tmp5_);
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		iter = _tmp6_;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = iter;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp8_ = self->todo_store;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp9_ = self->done_store;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_transfer_task (self, &_tmp7_, _tmp8_, _tmp9_);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_gtk_tree_path_free0 (path);
#line 394 "TaskManager.c"
	}
}


/** 
     * Transfers a task from one TaskStore to another.
     */
static void task_manager_transfer_task (TaskManager* self, GtkTreeIter* iter, TaskStore* source, TaskStore* destination) {
	GValue description = {0};
	TaskStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GValue _tmp2_ = {0};
	TaskStore* _tmp3_ = NULL;
	GValue _tmp4_ = {0};
	TaskStore* _tmp5_ = NULL;
	GtkTreeIter _tmp6_ = {0};
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (iter != NULL);
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (source != NULL);
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (destination != NULL);
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = source;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = *iter;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp0_, &_tmp1_, 1, &_tmp2_);
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	G_IS_VALUE (&description) ? (g_value_unset (&description), NULL) : NULL;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	description = _tmp2_;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = destination;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp4_ = description;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_store_add_task (_tmp3_, g_value_get_string (&_tmp4_), -1);
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = source;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = *iter;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_store_remove_task (_tmp5_, &_tmp6_);
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	G_IS_VALUE (&description) ? (g_value_unset (&description), NULL) : NULL;
#line 443 "TaskManager.c"
}


/**
     * Cleans the todo list by transfering all done tasks to the done list.
     */
static void task_manager_auto_transfer_tasks (TaskManager* self) {
	GtkTreeIter iter = {0};
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 454 "TaskManager.c"
	{
		gboolean next = FALSE;
		TaskStore* _tmp0_ = NULL;
		GtkTreeIter _tmp1_ = {0};
		gboolean _tmp2_ = FALSE;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp0_ = self->todo_store;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp2_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) _tmp0_, &_tmp1_);
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		iter = _tmp1_;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		next = _tmp2_;
#line 468 "TaskManager.c"
		{
			gboolean _tmp3_ = FALSE;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp3_ = TRUE;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			while (TRUE) {
#line 475 "TaskManager.c"
				gboolean _tmp6_ = FALSE;
				GValue out1 = {0};
				TaskStore* _tmp7_ = NULL;
				GtkTreeIter _tmp8_ = {0};
				GValue _tmp9_ = {0};
				gboolean done = FALSE;
				GValue _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				if (!_tmp3_) {
#line 486 "TaskManager.c"
					TaskStore* _tmp4_ = NULL;
					gboolean _tmp5_ = FALSE;
#line 117 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp4_ = self->todo_store;
#line 117 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp5_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp4_, &iter);
#line 117 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					next = _tmp5_;
#line 495 "TaskManager.c"
				}
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp3_ = FALSE;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp6_ = next;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				if (!_tmp6_) {
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					break;
#line 505 "TaskManager.c"
				}
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp7_ = self->todo_store;
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp8_ = iter;
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				gtk_tree_model_get_value ((GtkTreeModel*) _tmp7_, &_tmp8_, 0, &_tmp9_);
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				G_IS_VALUE (&out1) ? (g_value_unset (&out1), NULL) : NULL;
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				out1 = _tmp9_;
#line 120 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp10_ = out1;
#line 120 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				done = g_value_get_boolean (&_tmp10_);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp11_ = done;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				if (_tmp11_) {
#line 525 "TaskManager.c"
					GtkTreeIter _tmp12_ = {0};
					TaskStore* _tmp13_ = NULL;
					TaskStore* _tmp14_ = NULL;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp12_ = iter;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp13_ = self->todo_store;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp14_ = self->done_store;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					task_manager_transfer_task (self, &_tmp12_, _tmp13_, _tmp14_);
#line 537 "TaskManager.c"
				}
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				G_IS_VALUE (&out1) ? (g_value_unset (&out1), NULL) : NULL;
#line 541 "TaskManager.c"
			}
		}
	}
}


/**
     * Deletes all task on the "Done" list
     */
void task_manager_clear_done_store (TaskManager* self) {
	TaskStore* _tmp0_ = NULL;
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->read_only = TRUE;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->done_store;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	gtk_list_store_clear ((GtkListStore*) _tmp0_);
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->read_only = FALSE;
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_save_tasks (self);
#line 565 "TaskManager.c"
}


/**
     * Reloads all tasks.
     */
void task_manager_refresh (TaskManager* self) {
	FILE* _tmp0_ = NULL;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = stdout;
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	fprintf (_tmp0_, "Refreshing\n");
#line 144 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_emit_by_name (self, "refreshing");
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_load_tasks (self);
#line 147 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_auto_transfer_tasks (self);
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_emit_by_name (self, "refreshed");
#line 588 "TaskManager.c"
}


static gboolean task_manager_auto_refresh (TaskManager* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 151 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = task_manager_check_etags (self);
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (!_tmp0_) {
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_refresh (self);
#line 603 "TaskManager.c"
	}
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->prevent_refresh = FALSE;
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	result = FALSE;
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return result;
#line 611 "TaskManager.c"
}


static void task_manager_gen_etags (TaskManager* self) {
	GError * _inner_error_ = NULL;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 619 "TaskManager.c"
	{
		GFileInfo* file_info = NULL;
		GFileInfo* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFileInfo* _tmp2_ = NULL;
		GFileInfo* _tmp3_ = NULL;
		GFileInfo* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		GFileInfo* _tmp7_ = NULL;
		GFile* _tmp8_ = NULL;
		GFileInfo* _tmp9_ = NULL;
		GFileInfo* _tmp10_ = NULL;
		GFileInfo* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp1_ = self->priv->todo_txt;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp2_ = g_file_query_info (_tmp1_, G_FILE_ATTRIBUTE_ETAG_VALUE, 0, NULL, &_inner_error_);
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp0_ = _tmp2_;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_object_unref0 (file_info);
#line 646 "TaskManager.c"
			goto __catch3_g_error;
		}
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp3_ = _tmp0_;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp0_ = NULL;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (file_info);
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		file_info = _tmp3_;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = file_info;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp5_ = g_file_info_get_etag (_tmp4_);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp6_ = g_strdup (_tmp5_);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (self->priv->todo_etag);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->todo_etag = _tmp6_;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp8_ = self->priv->done_txt;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp9_ = g_file_query_info (_tmp8_, G_FILE_ATTRIBUTE_ETAG_VALUE, 0, NULL, &_inner_error_);
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = _tmp9_;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_object_unref0 (_tmp0_);
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_object_unref0 (file_info);
#line 679 "TaskManager.c"
			goto __catch3_g_error;
		}
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp10_ = _tmp7_;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = NULL;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (file_info);
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		file_info = _tmp10_;
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp11_ = file_info;
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp12_ = g_file_info_get_etag (_tmp11_);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp13_ = g_strdup (_tmp12_);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (self->priv->done_etag);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->done_etag = _tmp13_;
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (_tmp7_);
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (_tmp0_);
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (file_info);
#line 706 "TaskManager.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		e = _inner_error_;
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_inner_error_ = NULL;
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp14_ = e;
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp15_ = _tmp14_->message;
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_warning ("TaskManager.vala:169: %s", _tmp15_);
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_error_free0 (e);
#line 726 "TaskManager.c"
	}
	__finally3:
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_clear_error (&_inner_error_);
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 737 "TaskManager.c"
	}
}


static gboolean task_manager_check_etags (TaskManager* self) {
	gboolean result = FALSE;
	gchar* todo_etag_old = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* done_etag_old = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
#line 173 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 174 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->priv->todo_etag;
#line 174 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 174 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	todo_etag_old = _tmp1_;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = self->priv->done_etag;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	done_etag_old = _tmp3_;
#line 177 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_gen_etags (self);
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = self->priv->todo_etag;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = todo_etag_old;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (g_strcmp0 (_tmp5_, _tmp6_) == 0) {
#line 775 "TaskManager.c"
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = self->priv->done_etag;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp8_ = done_etag_old;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = g_strcmp0 (_tmp7_, _tmp8_) == 0;
#line 784 "TaskManager.c"
	} else {
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = FALSE;
#line 788 "TaskManager.c"
	}
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	result = _tmp4_;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (done_etag_old);
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (todo_etag_old);
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return result;
#line 798 "TaskManager.c"
}


static void _task_manager_save_tasks_task_store_task_data_changed (TaskStore* _sender, gpointer self) {
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_save_tasks ((TaskManager*) self);
#line 805 "TaskManager.c"
}


static void _task_manager_task_done_handler_task_store_task_done_changed (TaskStore* _sender, GtkTreeIter* iter, gpointer self) {
#line 195 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_task_done_handler ((TaskManager*) self, _sender, iter);
#line 812 "TaskManager.c"
}


static void __lambda5_ (TaskManager* self) {
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_emit_by_name (self, "active-task-invalid");
#line 819 "TaskManager.c"
}


static void ___lambda5__task_store_refresh_active_task (TaskStore* _sender, gpointer self) {
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	__lambda5_ ((TaskManager*) self);
#line 826 "TaskManager.c"
}


static void task_manager_load_task_stores (TaskManager* self) {
	FILE* _tmp0_ = NULL;
	SettingsManager* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	GFile* _tmp7_ = NULL;
	GFile* _tmp8_ = NULL;
	GFile* _tmp9_ = NULL;
	TaskStore* _tmp10_ = NULL;
	TaskStore* _tmp11_ = NULL;
	TaskStore* _tmp12_ = NULL;
	TaskStore* _tmp13_ = NULL;
	TaskStore* _tmp14_ = NULL;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = stdout;
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	fprintf (_tmp0_, "load_task_stores\n");
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = self->priv->settings;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = settings_manager_get_todo_txt_location (_tmp1_);
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = _tmp2_;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp4_ = _tmp3_;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = g_file_new_for_path (_tmp4_);
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt_dir);
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->todo_txt_dir = _tmp5_;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (_tmp4_);
#line 185 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = self->priv->todo_txt_dir;
#line 185 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp7_ = g_file_get_child (_tmp6_, "todo.txt");
#line 185 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt);
#line 185 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->todo_txt = _tmp7_;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp8_ = self->priv->todo_txt_dir;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp9_ = g_file_get_child (_tmp8_, "done.txt");
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->done_txt);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->done_txt = _tmp9_;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->io_failed = FALSE;
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp10_ = self->todo_store;
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp10_, "task-data-changed", (GCallback) _task_manager_save_tasks_task_store_task_data_changed, self);
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp11_ = self->done_store;
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp11_, "task-data-changed", (GCallback) _task_manager_save_tasks_task_store_task_data_changed, self);
#line 195 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp12_ = self->todo_store;
#line 195 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp12_, "task-done-changed", (GCallback) _task_manager_task_done_handler_task_store_task_done_changed, self);
#line 196 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp13_ = self->done_store;
#line 196 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp13_, "task-done-changed", (GCallback) _task_manager_task_done_handler_task_store_task_done_changed, self);
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp14_ = self->todo_store;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp14_, "refresh-active-task", (GCallback) ___lambda5__task_store_refresh_active_task, self);
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_load_tasks (self);
#line 206 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_watch_files (self);
#line 910 "TaskManager.c"
}


static void _task_manager_on_file_changed_g_file_monitor_changed (GFileMonitor* _sender, GFile* file, GFile* other_file, GFileMonitorEvent event_type, gpointer self) {
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_on_file_changed ((TaskManager*) self);
#line 917 "TaskManager.c"
}


static void task_manager_watch_files (TaskManager* self) {
	GFileMonitor* _tmp11_ = NULL;
	GFileMonitor* _tmp12_ = NULL;
	GError * _inner_error_ = NULL;
#line 209 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 927 "TaskManager.c"
	{
		GFileMonitor* _tmp0_ = NULL;
		GFile* _tmp1_ = NULL;
		GFileMonitor* _tmp2_ = NULL;
		GFileMonitor* _tmp3_ = NULL;
		GFileMonitor* _tmp4_ = NULL;
		GFile* _tmp5_ = NULL;
		GFileMonitor* _tmp6_ = NULL;
		GFileMonitor* _tmp7_ = NULL;
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp1_ = self->priv->todo_txt;
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp2_ = g_file_monitor_file (_tmp1_, G_FILE_MONITOR_NONE, NULL, &_inner_error_);
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp0_ = _tmp2_;
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (_inner_error_->domain == G_IO_ERROR) {
#line 947 "TaskManager.c"
				goto __catch4_g_io_error;
			}
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_clear_error (&_inner_error_);
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			return;
#line 956 "TaskManager.c"
		}
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp3_ = _tmp0_;
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp0_ = NULL;
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (self->priv->todo_monitor);
#line 211 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->todo_monitor = _tmp3_;
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp5_ = self->priv->done_txt;
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp6_ = g_file_monitor_file (_tmp5_, G_FILE_MONITOR_NONE, NULL, &_inner_error_);
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = _tmp6_;
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_object_unref0 (_tmp0_);
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (_inner_error_->domain == G_IO_ERROR) {
#line 978 "TaskManager.c"
				goto __catch4_g_io_error;
			}
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_object_unref0 (_tmp0_);
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_clear_error (&_inner_error_);
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			return;
#line 989 "TaskManager.c"
		}
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = _tmp4_;
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = NULL;
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (self->priv->done_monitor);
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->done_monitor = _tmp7_;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (_tmp4_);
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (_tmp0_);
#line 1003 "TaskManager.c"
	}
	goto __finally4;
	__catch4_g_io_error:
	{
		GError* e = NULL;
		FILE* _tmp8_ = NULL;
		GError* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		e = _inner_error_;
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_inner_error_ = NULL;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp8_ = stderr;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp9_ = e;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp10_ = _tmp9_->message;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		fprintf (_tmp8_, "watch_files: %s\n", _tmp10_);
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_error_free0 (e);
#line 1026 "TaskManager.c"
	}
	__finally4:
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_clear_error (&_inner_error_);
#line 210 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 1037 "TaskManager.c"
	}
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp11_ = self->priv->todo_monitor;
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp11_, "changed", (GCallback) _task_manager_on_file_changed_g_file_monitor_changed, self);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp12_ = self->priv->done_monitor;
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect (_tmp12_, "changed", (GCallback) _task_manager_on_file_changed_g_file_monitor_changed, self);
#line 1047 "TaskManager.c"
}


static gboolean _task_manager_auto_refresh_gsource_func (gpointer self) {
	gboolean result;
	result = task_manager_auto_refresh ((TaskManager*) self);
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return result;
#line 1056 "TaskManager.c"
}


static void task_manager_on_file_changed (TaskManager* self) {
	gboolean _tmp0_ = FALSE;
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->priv->prevent_refresh;
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (!_tmp0_) {
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->prevent_refresh = TRUE;
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_timeout_add_full (G_PRIORITY_DEFAULT_IDLE, (guint) 100, _task_manager_auto_refresh_gsource_func, task_manager_ref (self), task_manager_unref);
#line 1072 "TaskManager.c"
	}
}


static void task_manager_task_done_handler (TaskManager* self, TaskStore* source, GtkTreeIter* iter) {
	TaskStore* _tmp0_ = NULL;
	TaskStore* _tmp1_ = NULL;
#line 233 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 233 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (source != NULL);
#line 233 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (iter != NULL);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = source;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = self->todo_store;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp0_ == _tmp1_) {
#line 1092 "TaskManager.c"
		GtkTreeIter _tmp2_ = {0};
		TaskStore* _tmp3_ = NULL;
		TaskStore* _tmp4_ = NULL;
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp2_ = *iter;
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp3_ = self->todo_store;
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = self->done_store;
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_transfer_task (self, &_tmp2_, _tmp3_, _tmp4_);
#line 1104 "TaskManager.c"
	} else {
		TaskStore* _tmp5_ = NULL;
		TaskStore* _tmp6_ = NULL;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp5_ = source;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp6_ = self->done_store;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (_tmp5_ == _tmp6_) {
#line 1114 "TaskManager.c"
			GtkTreeIter _tmp7_ = {0};
			TaskStore* _tmp8_ = NULL;
			TaskStore* _tmp9_ = NULL;
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp7_ = *iter;
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp8_ = self->done_store;
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp9_ = self->todo_store;
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			task_manager_transfer_task (self, &_tmp7_, _tmp8_, _tmp9_);
#line 1126 "TaskManager.c"
		}
	}
}


static void task_manager_load_tasks (TaskManager* self) {
	TaskStore* _tmp0_ = NULL;
	TaskStore* _tmp1_ = NULL;
	TaskStore* _tmp2_ = NULL;
	TodoTask* _tmp3_ = NULL;
	TaskStore* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	TaskStore* _tmp7_ = NULL;
	GFile* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	TaskStore* _tmp18_ = NULL;
	gboolean _tmp19_ = FALSE;
#line 241 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->read_only = TRUE;
#line 244 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->todo_store;
#line 244 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	gtk_list_store_clear ((GtkListStore*) _tmp0_);
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = self->done_store;
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	gtk_list_store_clear ((GtkListStore*) _tmp1_);
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = self->todo_store;
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = _tmp2_->active_task;
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp3_ != NULL) {
#line 1162 "TaskManager.c"
		TaskStore* _tmp4_ = NULL;
#line 247 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = self->todo_store;
#line 247 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_->active_task_invalid = TRUE;
#line 1168 "TaskManager.c"
	}
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = self->todo_store;
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = self->priv->todo_txt;
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_read_task_file (self, _tmp5_, _tmp6_);
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp7_ = self->done_store;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp8_ = self->priv->done_txt;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_read_task_file (self, _tmp7_, _tmp8_);
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->read_only = FALSE;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp9_ = self->priv->need_to_add_tasks;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp9_) {
#line 1188 "TaskManager.c"
		{
			gint i = 0;
			gchar** _tmp10_ = NULL;
			gint _tmp10__length1 = 0;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp10_ = self->priv->default_todos;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp10__length1 = self->priv->default_todos_length1;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			i = _tmp10__length1 - 1;
#line 1199 "TaskManager.c"
			{
				gboolean _tmp11_ = FALSE;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp11_ = TRUE;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				while (TRUE) {
#line 1206 "TaskManager.c"
					gint _tmp13_ = 0;
					TaskStore* _tmp14_ = NULL;
					gchar** _tmp15_ = NULL;
					gint _tmp15__length1 = 0;
					gint _tmp16_ = 0;
					const gchar* _tmp17_ = NULL;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (!_tmp11_) {
#line 1215 "TaskManager.c"
						gint _tmp12_ = 0;
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_tmp12_ = i;
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						i = _tmp12_ - 1;
#line 1221 "TaskManager.c"
					}
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp11_ = FALSE;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp13_ = i;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (!(_tmp13_ >= 0)) {
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						break;
#line 1231 "TaskManager.c"
					}
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp14_ = self->todo_store;
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp15_ = self->priv->default_todos;
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp15__length1 = self->priv->default_todos_length1;
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp16_ = i;
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp17_ = _tmp15_[_tmp16_];
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					task_store_add_task (_tmp14_, _tmp17_, 0);
#line 1245 "TaskManager.c"
				}
			}
		}
#line 261 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->need_to_add_tasks = FALSE;
#line 1251 "TaskManager.c"
	}
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp18_ = self->todo_store;
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp19_ = _tmp18_->active_task_invalid;
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp19_) {
#line 265 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_signal_emit_by_name (self, "active-task-invalid");
#line 1261 "TaskManager.c"
	}
}


static void task_manager_save_tasks (TaskManager* self) {
	gboolean _tmp0_ = FALSE;
#line 269 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 270 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->priv->read_only;
#line 270 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (!_tmp0_) {
#line 1274 "TaskManager.c"
		TaskStore* _tmp1_ = NULL;
		GFile* _tmp2_ = NULL;
		TaskStore* _tmp3_ = NULL;
		GFile* _tmp4_ = NULL;
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp1_ = self->todo_store;
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp2_ = self->priv->todo_txt;
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_write_task_file (self, _tmp1_, _tmp2_);
#line 272 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp3_ = self->done_store;
#line 272 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp4_ = self->priv->done_txt;
#line 272 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_write_task_file (self, _tmp3_, _tmp4_);
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_gen_etags (self);
#line 1293 "TaskManager.c"
	}
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return _data1_;
#line 1303 "TaskManager.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 1312 "TaskManager.c"
		TaskManager* self;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self = _data1_->self;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (_data1_->dialog);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_task_manager_unref0 (self);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_slice_free (Block1Data, _data1_);
#line 1322 "TaskManager.c"
	}
}


static void __lambda4_ (Block1Data* _data1_, gint response_id) {
	TaskManager* self;
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self = _data1_->self;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	gtk_widget_destroy ((GtkWidget*) _data1_->dialog);
#line 1333 "TaskManager.c"
}


static void ___lambda4__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self) {
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	__lambda4_ (self, response_id);
#line 1340 "TaskManager.c"
}


static void task_manager_show_error_dialog (TaskManager* self, const gchar* error_message) {
	Block1Data* _data1_;
	const gchar* _tmp0_ = NULL;
	GtkMessageDialog* _tmp1_ = NULL;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (error_message != NULL);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_data1_->_ref_count_ = 1;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_data1_->self = task_manager_ref (self);
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = error_message;
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = (GtkMessageDialog*) gtk_message_dialog_new (NULL, GTK_DIALOG_DESTROY_WITH_PARENT, GTK_MESSAGE_ERROR, GTK_BUTTONS_OK, _tmp0_);
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_object_ref_sink (_tmp1_);
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_data1_->dialog = _tmp1_;
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_connect_data ((GtkDialog*) _data1_->dialog, "response", (GCallback) ___lambda4__gtk_dialog_response, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 286 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	gtk_widget_show ((GtkWidget*) _data1_->dialog);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	block1_data_unref (_data1_);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_data1_ = NULL;
#line 1374 "TaskManager.c"
}


/**
     * Reads tasks from a Todo.txt formatted file.
     */
static gunichar string_get_char (const gchar* self, glong index) {
	gunichar result = 0U;
	glong _tmp0_ = 0L;
	gunichar _tmp1_ = 0U;
#line 1116 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0U);
#line 1117 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp0_ = index;
#line 1117 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp1_ = g_utf8_get_char (((gchar*) self) + _tmp0_);
#line 1117 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 1117 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	return result;
#line 1395 "TaskManager.c"
}


static gchar* string_slice (const gchar* self, glong start, glong end) {
	gchar* result = NULL;
	glong string_length = 0L;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	glong _tmp2_ = 0L;
	glong _tmp5_ = 0L;
	gboolean _tmp8_ = FALSE;
	glong _tmp9_ = 0L;
	gboolean _tmp12_ = FALSE;
	glong _tmp13_ = 0L;
	glong _tmp16_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	gchar* _tmp21_ = NULL;
#line 1328 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1329 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1329 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1329 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1330 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp2_ = start;
#line 1330 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	if (_tmp2_ < ((glong) 0)) {
#line 1428 "TaskManager.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
#line 1331 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp3_ = string_length;
#line 1331 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp4_ = start;
#line 1331 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		start = _tmp3_ + _tmp4_;
#line 1437 "TaskManager.c"
	}
#line 1333 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp5_ = end;
#line 1333 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	if (_tmp5_ < ((glong) 0)) {
#line 1443 "TaskManager.c"
		glong _tmp6_ = 0L;
		glong _tmp7_ = 0L;
#line 1334 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp6_ = string_length;
#line 1334 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp7_ = end;
#line 1334 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		end = _tmp6_ + _tmp7_;
#line 1452 "TaskManager.c"
	}
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp9_ = start;
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	if (_tmp9_ >= ((glong) 0)) {
#line 1458 "TaskManager.c"
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp10_ = start;
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp11_ = string_length;
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp10_ <= _tmp11_;
#line 1467 "TaskManager.c"
	} else {
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp8_ = FALSE;
#line 1471 "TaskManager.c"
	}
#line 1336 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp8_, NULL);
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp13_ = end;
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	if (_tmp13_ >= ((glong) 0)) {
#line 1479 "TaskManager.c"
		glong _tmp14_ = 0L;
		glong _tmp15_ = 0L;
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp14_ = end;
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp12_ = _tmp14_ <= _tmp15_;
#line 1488 "TaskManager.c"
	} else {
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
		_tmp12_ = FALSE;
#line 1492 "TaskManager.c"
	}
#line 1337 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp12_, NULL);
#line 1338 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp16_ = start;
#line 1338 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp17_ = end;
#line 1338 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	g_return_val_if_fail (_tmp16_ <= _tmp17_, NULL);
#line 1339 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp18_ = start;
#line 1339 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp19_ = end;
#line 1339 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp20_ = start;
#line 1339 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	_tmp21_ = g_strndup (((gchar*) self) + _tmp18_, (gsize) (_tmp19_ - _tmp20_));
#line 1339 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	result = _tmp21_;
#line 1339 "/usr/share/vala-0.32/vapi/glib-2.0.vapi"
	return result;
#line 1514 "TaskManager.c"
}


static void task_manager_read_task_file (TaskManager* self, TaskStore* store, GFile* file) {
	gboolean _tmp0_ = FALSE;
	FILE* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	GError * _inner_error_ = NULL;
#line 292 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 292 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (store != NULL);
#line 292 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (file != NULL);
#line 293 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->priv->io_failed;
#line 293 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp0_) {
#line 294 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 1539 "TaskManager.c"
	}
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = stdout;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = file;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = g_file_get_path (_tmp2_);
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp4_ = _tmp3_;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	fprintf (_tmp1_, "Reading file: %s\n", _tmp4_);
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (_tmp4_);
#line 299 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = file;
#line 299 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = g_file_query_exists (_tmp5_, NULL);
#line 299 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (!_tmp6_) {
#line 1559 "TaskManager.c"
		GFile* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = self->priv->todo_txt_dir;
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp8_ = g_file_get_path (_tmp7_);
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp9_ = _tmp8_;
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_mkdir_with_parents (_tmp9_, 0700);
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp9_);
#line 1573 "TaskManager.c"
		{
			GFile* _tmp10_ = NULL;
			GFileOutputStream* _tmp11_ = NULL;
			GFileOutputStream* _tmp12_ = NULL;
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp10_ = file;
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp11_ = g_file_create (_tmp10_, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp12_ = _tmp11_;
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_object_unref0 (_tmp12_);
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1588 "TaskManager.c"
				goto __catch5_g_error;
			}
		}
		goto __finally5;
		__catch5_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp13_ = NULL;
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			e = _inner_error_;
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_inner_error_ = NULL;
#line 304 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp13_ = e->message;
#line 304 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_error ("TaskManager.vala:304: %s", _tmp13_);
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_error_free0 (e);
#line 1607 "TaskManager.c"
		}
		__finally5:
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			g_clear_error (&_inner_error_);
#line 301 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			return;
#line 1618 "TaskManager.c"
		}
#line 306 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 1622 "TaskManager.c"
	}
	{
		GFileInputStream* _tmp14_ = NULL;
		GFile* _tmp15_ = NULL;
		GFileInputStream* _tmp16_ = NULL;
		GDataInputStream* stream_in = NULL;
		GDataInputStream* _tmp17_ = NULL;
		gchar* line = NULL;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp15_ = file;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp16_ = g_file_read (_tmp15_, NULL, &_inner_error_);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp14_ = _tmp16_;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1639 "TaskManager.c"
			goto __catch6_g_error;
		}
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp17_ = g_data_input_stream_new ((GInputStream*) _tmp14_);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		stream_in = _tmp17_;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		while (TRUE) {
#line 1648 "TaskManager.c"
			gchar* _tmp18_ = NULL;
			GDataInputStream* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
			gchar* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			gint length = 0;
			const gchar* _tmp23_ = NULL;
			gint _tmp24_ = 0;
			gint _tmp25_ = 0;
			gint _tmp26_ = 0;
			gboolean done = FALSE;
			const gchar* _tmp34_ = NULL;
			gboolean _tmp35_ = FALSE;
			gboolean _tmp36_ = FALSE;
			TaskStore* _tmp43_ = NULL;
			const gchar* _tmp44_ = NULL;
			gboolean _tmp45_ = FALSE;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp19_ = stream_in;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp20_ = g_data_input_stream_read_line (_tmp19_, NULL, NULL, &_inner_error_);
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp18_ = _tmp20_;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_g_free0 (line);
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_g_object_unref0 (stream_in);
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_g_object_unref0 (_tmp14_);
#line 1680 "TaskManager.c"
				goto __catch6_g_error;
			}
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp21_ = _tmp18_;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp18_ = NULL;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_free0 (line);
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			line = _tmp21_;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp22_ = line;
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (!(_tmp22_ != NULL)) {
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_g_free0 (_tmp18_);
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				break;
#line 1699 "TaskManager.c"
			}
#line 317 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp23_ = line;
#line 317 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp24_ = strlen (_tmp23_);
#line 317 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp25_ = _tmp24_;
#line 317 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			length = _tmp25_;
#line 318 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp26_ = length;
#line 318 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (_tmp26_ > 0) {
#line 1713 "TaskManager.c"
				const gchar* _tmp27_ = NULL;
				gint _tmp28_ = 0;
				gunichar _tmp29_ = 0U;
#line 319 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp27_ = line;
#line 319 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp28_ = length;
#line 319 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp29_ = string_get_char (_tmp27_, (glong) (_tmp28_ - 1));
#line 319 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				if (_tmp29_ == ((gunichar) 13)) {
#line 1725 "TaskManager.c"
					gint _tmp30_ = 0;
					const gchar* _tmp31_ = NULL;
					gint _tmp32_ = 0;
					gchar* _tmp33_ = NULL;
#line 320 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp30_ = length;
#line 320 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (_tmp30_ == 1) {
#line 321 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_g_free0 (_tmp18_);
#line 321 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						continue;
#line 1738 "TaskManager.c"
					}
#line 323 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp31_ = line;
#line 323 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp32_ = length;
#line 323 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp33_ = string_slice (_tmp31_, (glong) 0, (glong) (_tmp32_ - 1));
#line 323 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_g_free0 (line);
#line 323 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					line = _tmp33_;
#line 1750 "TaskManager.c"
				}
			} else {
#line 326 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_g_free0 (_tmp18_);
#line 326 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				continue;
#line 1757 "TaskManager.c"
			}
#line 330 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp34_ = line;
#line 330 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp35_ = g_str_has_prefix (_tmp34_, "x ");
#line 330 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			done = _tmp35_;
#line 332 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp36_ = done;
#line 332 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			if (_tmp36_) {
#line 1769 "TaskManager.c"
				const gchar* _tmp37_ = NULL;
				gchar** _tmp38_ = NULL;
				gchar** _tmp39_ = NULL;
				gchar** _tmp40_ = NULL;
				gint _tmp40__length1 = 0;
				const gchar* _tmp41_ = NULL;
				gchar* _tmp42_ = NULL;
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp37_ = line;
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp39_ = _tmp38_ = g_strsplit (_tmp37_, "x ", 2);
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp40_ = _tmp39_;
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp40__length1 = _vala_array_length (_tmp38_);
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp41_ = _tmp40_[1];
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp42_ = g_strdup (_tmp41_);
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_g_free0 (line);
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				line = _tmp42_;
#line 334 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp40_ = (_vala_array_free (_tmp40_, _tmp40__length1, (GDestroyNotify) g_free), NULL);
#line 1795 "TaskManager.c"
			}
#line 337 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp43_ = store;
#line 337 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp44_ = line;
#line 337 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp45_ = done;
#line 337 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			task_store_add_initial_task (_tmp43_, _tmp44_, _tmp45_, -1);
#line 314 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_g_free0 (_tmp18_);
#line 1807 "TaskManager.c"
		}
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (line);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (stream_in);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (_tmp14_);
#line 1815 "TaskManager.c"
	}
	goto __finally6;
	__catch6_g_error:
	{
		GError* e = NULL;
		gchar* error_message = NULL;
		const gchar* _tmp46_ = NULL;
		GFile* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		gchar* _tmp49_ = NULL;
		gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		GError* _tmp52_ = NULL;
		const gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		gchar* _tmp56_ = NULL;
		gchar* _tmp57_ = NULL;
		const gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		gchar* _tmp60_ = NULL;
		const gchar* _tmp61_ = NULL;
		const gchar* _tmp62_ = NULL;
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		e = _inner_error_;
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_inner_error_ = NULL;
#line 340 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->io_failed = TRUE;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp46_ = _ ("Couldn't read the todo.txt file (%s):");
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp47_ = file;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp48_ = g_file_get_path (_tmp47_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp49_ = _tmp48_;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp50_ = g_strdup_printf (_tmp46_, _tmp49_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp51_ = _tmp50_;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp52_ = e;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp53_ = _tmp52_->message;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp54_ = g_strdup_printf ("\n\n%s\n\n", _tmp53_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp55_ = _tmp54_;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp56_ = g_strconcat (_tmp51_, _tmp55_, NULL);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp57_ = _tmp56_;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp58_ = self->priv->error_implications;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp59_ = g_strconcat (_tmp57_, _tmp58_, NULL);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp60_ = _tmp59_;
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp57_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp55_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp51_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp49_);
#line 341 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		error_message = _tmp60_;
#line 342 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp61_ = error_message;
#line 342 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_warning ("TaskManager.vala:342: %s", _tmp61_);
#line 343 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp62_ = error_message;
#line 343 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_show_error_dialog (self, _tmp62_);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (error_message);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_error_free0 (e);
#line 1897 "TaskManager.c"
	}
	__finally6:
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_clear_error (&_inner_error_);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 1908 "TaskManager.c"
	}
}


/**
     * Saves tasks to a Todo.txt formatted file.
     */
static void task_manager_write_task_file (TaskManager* self, TaskStore* store, GFile* file) {
	gboolean _tmp0_ = FALSE;
	FILE* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GError * _inner_error_ = NULL;
#line 350 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (self != NULL);
#line 350 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (store != NULL);
#line 350 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (file != NULL);
#line 351 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = self->priv->io_failed;
#line 351 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (_tmp0_) {
#line 352 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 1935 "TaskManager.c"
	}
#line 354 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = stdout;
#line 354 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = file;
#line 354 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = g_file_get_path (_tmp2_);
#line 354 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp4_ = _tmp3_;
#line 354 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	fprintf (_tmp1_, "Writing file: %s\n", _tmp4_);
#line 354 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (_tmp4_);
#line 1949 "TaskManager.c"
	{
		GFileIOStream* file_io_stream = NULL;
		GFile* _tmp5_ = NULL;
		GFileIOStream* _tmp6_ = NULL;
		GDataOutputStream* stream_out = NULL;
		GFileIOStream* _tmp7_ = NULL;
		GOutputStream* _tmp8_ = NULL;
		GOutputStream* _tmp9_ = NULL;
		GDataOutputStream* _tmp10_ = NULL;
		GtkTreeIter iter = {0};
#line 357 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp5_ = file;
#line 357 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp6_ = g_file_replace_readwrite (_tmp5_, NULL, TRUE, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 357 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		file_io_stream = _tmp6_;
#line 357 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1968 "TaskManager.c"
			goto __catch7_g_error;
		}
#line 359 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp7_ = file_io_stream;
#line 359 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp8_ = g_io_stream_get_output_stream ((GIOStream*) _tmp7_);
#line 359 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp9_ = _tmp8_;
#line 359 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp10_ = g_data_output_stream_new (_tmp9_);
#line 359 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		stream_out = _tmp10_;
#line 1981 "TaskManager.c"
		{
			gboolean next = FALSE;
			TaskStore* _tmp11_ = NULL;
			GtkTreeIter _tmp12_ = {0};
			gboolean _tmp13_ = FALSE;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp11_ = store;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			_tmp13_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) _tmp11_, &_tmp12_);
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			iter = _tmp12_;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			next = _tmp13_;
#line 1995 "TaskManager.c"
			{
				gboolean _tmp14_ = FALSE;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				_tmp14_ = TRUE;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
				while (TRUE) {
#line 2002 "TaskManager.c"
					gboolean _tmp17_ = FALSE;
					GValue done = {0};
					GValue text = {0};
					TaskStore* _tmp18_ = NULL;
					GtkTreeIter _tmp19_ = {0};
					GValue _tmp20_ = {0};
					TaskStore* _tmp21_ = NULL;
					GtkTreeIter _tmp22_ = {0};
					GValue _tmp23_ = {0};
					GValue _tmp24_ = {0};
					GDataOutputStream* _tmp28_ = NULL;
					GValue _tmp29_ = {0};
					gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (!_tmp14_) {
#line 2019 "TaskManager.c"
						TaskStore* _tmp15_ = NULL;
						gboolean _tmp16_ = FALSE;
#line 365 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_tmp15_ = store;
#line 365 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_tmp16_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp15_, &iter);
#line 365 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						next = _tmp16_;
#line 2028 "TaskManager.c"
					}
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp14_ = FALSE;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp17_ = next;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (!_tmp17_) {
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						break;
#line 2038 "TaskManager.c"
					}
#line 368 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp18_ = store;
#line 368 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp19_ = iter;
#line 368 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					gtk_tree_model_get_value ((GtkTreeModel*) _tmp18_, &_tmp19_, 0, &_tmp20_);
#line 368 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					G_IS_VALUE (&done) ? (g_value_unset (&done), NULL) : NULL;
#line 368 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					done = _tmp20_;
#line 369 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp21_ = store;
#line 369 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp22_ = iter;
#line 369 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					gtk_tree_model_get_value ((GtkTreeModel*) _tmp21_, &_tmp22_, 1, &_tmp23_);
#line 369 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 369 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					text = _tmp23_;
#line 371 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp24_ = done;
#line 371 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (g_value_get_boolean (&_tmp24_)) {
#line 2064 "TaskManager.c"
						GValue _tmp25_ = {0};
						gchar* _tmp26_ = NULL;
						GValue _tmp27_ = {0};
#line 372 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_tmp25_ = text;
#line 372 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_tmp26_ = g_strconcat ("x ", g_value_get_string (&_tmp25_), NULL);
#line 372 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						g_value_init (&_tmp27_, G_TYPE_STRING);
#line 372 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						g_value_take_string (&_tmp27_, _tmp26_);
#line 372 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 372 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						text = _tmp27_;
#line 2080 "TaskManager.c"
					}
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp28_ = stream_out;
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp29_ = text;
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp30_ = g_strconcat (g_value_get_string (&_tmp29_), "\n", NULL);
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_tmp31_ = _tmp30_;
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					g_data_output_stream_put_string (_tmp28_, _tmp31_, NULL, &_inner_error_);
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					_g_free0 (_tmp31_);
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						G_IS_VALUE (&done) ? (g_value_unset (&done), NULL) : NULL;
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_g_object_unref0 (stream_out);
#line 375 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
						_g_object_unref0 (file_io_stream);
#line 2104 "TaskManager.c"
						goto __catch7_g_error;
					}
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					G_IS_VALUE (&text) ? (g_value_unset (&text), NULL) : NULL;
#line 364 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
					G_IS_VALUE (&done) ? (g_value_unset (&done), NULL) : NULL;
#line 2111 "TaskManager.c"
				}
			}
		}
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (stream_out);
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_object_unref0 (file_io_stream);
#line 2119 "TaskManager.c"
	}
	goto __finally7;
	__catch7_g_error:
	{
		GError* e = NULL;
		gchar* error_message = NULL;
		const gchar* _tmp32_ = NULL;
		GFile* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		GError* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		const gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		const gchar* _tmp47_ = NULL;
		const gchar* _tmp48_ = NULL;
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		e = _inner_error_;
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_inner_error_ = NULL;
#line 378 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		self->priv->io_failed = TRUE;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp32_ = _ ("Couldn't save the todo list (%s):");
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp33_ = file;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp34_ = g_file_get_path (_tmp33_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp35_ = _tmp34_;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp36_ = g_strdup_printf (_tmp32_, _tmp35_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp37_ = _tmp36_;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp38_ = e;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp39_ = _tmp38_->message;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp40_ = g_strdup_printf ("\n\n%s\n\n", _tmp39_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp41_ = _tmp40_;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp42_ = g_strconcat (_tmp37_, _tmp41_, NULL);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp43_ = _tmp42_;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp44_ = self->priv->error_implications;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp45_ = g_strconcat (_tmp43_, _tmp44_, NULL);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp46_ = _tmp45_;
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp43_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp41_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp37_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (_tmp35_);
#line 379 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		error_message = _tmp46_;
#line 380 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp47_ = error_message;
#line 380 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_warning ("TaskManager.vala:380: %s", _tmp47_);
#line 381 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_tmp48_ = error_message;
#line 381 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_show_error_dialog (self, _tmp48_);
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_free0 (error_message);
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		_g_error_free0 (e);
#line 2201 "TaskManager.c"
	}
	__finally7:
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_clear_error (&_inner_error_);
#line 356 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return;
#line 2212 "TaskManager.c"
	}
}


static void value_task_manager_init (GValue* value) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	value->data[0].v_pointer = NULL;
#line 2220 "TaskManager.c"
}


static void value_task_manager_free_value (GValue* value) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (value->data[0].v_pointer) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_unref (value->data[0].v_pointer);
#line 2229 "TaskManager.c"
	}
}


static void value_task_manager_copy_value (const GValue* src_value, GValue* dest_value) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (src_value->data[0].v_pointer) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		dest_value->data[0].v_pointer = task_manager_ref (src_value->data[0].v_pointer);
#line 2239 "TaskManager.c"
	} else {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		dest_value->data[0].v_pointer = NULL;
#line 2243 "TaskManager.c"
	}
}


static gpointer value_task_manager_peek_pointer (const GValue* value) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return value->data[0].v_pointer;
#line 2251 "TaskManager.c"
}


static gchar* value_task_manager_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (collect_values[0].v_pointer) {
#line 2258 "TaskManager.c"
		TaskManager* object;
		object = collect_values[0].v_pointer;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		if (object->parent_instance.g_class == NULL) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2265 "TaskManager.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 2269 "TaskManager.c"
		}
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		value->data[0].v_pointer = task_manager_ref (object);
#line 2273 "TaskManager.c"
	} else {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		value->data[0].v_pointer = NULL;
#line 2277 "TaskManager.c"
	}
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return NULL;
#line 2281 "TaskManager.c"
}


static gchar* value_task_manager_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	TaskManager** object_p;
	object_p = collect_values[0].v_pointer;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (!object_p) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 2292 "TaskManager.c"
	}
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (!value->data[0].v_pointer) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		*object_p = NULL;
#line 2298 "TaskManager.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		*object_p = value->data[0].v_pointer;
#line 2302 "TaskManager.c"
	} else {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		*object_p = task_manager_ref (value->data[0].v_pointer);
#line 2306 "TaskManager.c"
	}
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return NULL;
#line 2310 "TaskManager.c"
}


GParamSpec* param_spec_task_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecTaskManager* spec;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_TASK_MANAGER), NULL);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return G_PARAM_SPEC (spec);
#line 2324 "TaskManager.c"
}


gpointer value_get_task_manager (const GValue* value) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_TASK_MANAGER), NULL);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return value->data[0].v_pointer;
#line 2333 "TaskManager.c"
}


void value_set_task_manager (GValue* value, gpointer v_object) {
	TaskManager* old;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_TASK_MANAGER));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	old = value->data[0].v_pointer;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (v_object) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_TASK_MANAGER));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		value->data[0].v_pointer = v_object;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_ref (value->data[0].v_pointer);
#line 2353 "TaskManager.c"
	} else {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		value->data[0].v_pointer = NULL;
#line 2357 "TaskManager.c"
	}
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (old) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_unref (old);
#line 2363 "TaskManager.c"
	}
}


void value_take_task_manager (GValue* value, gpointer v_object) {
	TaskManager* old;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_TASK_MANAGER));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	old = value->data[0].v_pointer;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (v_object) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_TASK_MANAGER));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		value->data[0].v_pointer = v_object;
#line 2382 "TaskManager.c"
	} else {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		value->data[0].v_pointer = NULL;
#line 2386 "TaskManager.c"
	}
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (old) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		task_manager_unref (old);
#line 2392 "TaskManager.c"
	}
}


static void task_manager_class_init (TaskManagerClass * klass) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	task_manager_parent_class = g_type_class_peek_parent (klass);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	((TaskManagerClass *) klass)->finalize = task_manager_finalize;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_type_class_add_private (klass, sizeof (TaskManagerPrivate));
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_new ("active_task_invalid", TYPE_TASK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_new ("refreshing", TYPE_TASK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_new ("refreshed", TYPE_TASK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2410 "TaskManager.c"
}


static void task_manager_instance_init (TaskManager * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar** _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv = TASK_MANAGER_GET_PRIVATE (self);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp0_ = g_strdup ("");
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->todo_etag = _tmp0_;
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp1_ = g_strdup ("");
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->done_etag = _tmp1_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp2_ = g_strdup ("Choose Todo.txt folder via \"Settings\"");
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp3_ = g_strdup ("Spread the word about \"Go For It!\"");
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp4_ = g_strdup ("Consider a donation to help the project");
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp5_ = g_strdup ("Consider contributing to the project");
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_ = g_new0 (gchar*, 4 + 1);
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_[0] = _tmp2_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_[1] = _tmp3_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_[2] = _tmp4_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp6_[3] = _tmp5_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->default_todos = _tmp6_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->default_todos_length1 = 4;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->_default_todos_size_ = self->priv->default_todos_length1;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp7_ = _ ("Go For It! won't save or load from the current todo.txt directory unti" \
"l it is either restarted or another location is chosen.");
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_tmp8_ = g_strdup (_tmp7_);
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->error_implications = _tmp8_;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->ref_count = 1;
#line 2466 "TaskManager.c"
}


static void task_manager_finalize (TaskManager* obj) {
	TaskManager * self;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TASK_MANAGER, TaskManager);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_signal_handlers_destroy (self);
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 27 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt_dir);
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_txt);
#line 29 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->done_txt);
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->todo_store);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->done_store);
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->todo_monitor);
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_object_unref0 (self->priv->done_monitor);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (self->priv->todo_etag);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (self->priv->done_etag);
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	self->priv->default_todos = (_vala_array_free (self->priv->default_todos, self->priv->default_todos_length1, (GDestroyNotify) g_free), NULL);
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	_g_free0 (self->priv->error_implications);
#line 2500 "TaskManager.c"
}


/**
 * This class is responsible for loading, saving and managing the user's tasks.
 * Therefore it offers methods for interacting with the set of tasks in all
 * lists. Editing specific tasks (e.g. removing, renaming) is to be done 
 * by addressing the corresponding TaskStore instance.
 */
GType task_manager_get_type (void) {
	static volatile gsize task_manager_type_id__volatile = 0;
	if (g_once_init_enter (&task_manager_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_task_manager_init, value_task_manager_free_value, value_task_manager_copy_value, value_task_manager_peek_pointer, "p", value_task_manager_collect_value, "p", value_task_manager_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (TaskManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) task_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TaskManager), 0, (GInstanceInitFunc) task_manager_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType task_manager_type_id;
		task_manager_type_id = g_type_register_fundamental (g_type_fundamental_next (), "TaskManager", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&task_manager_type_id__volatile, task_manager_type_id);
	}
	return task_manager_type_id__volatile;
}


gpointer task_manager_ref (gpointer instance) {
	TaskManager* self;
	self = instance;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	g_atomic_int_inc (&self->ref_count);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	return instance;
#line 2531 "TaskManager.c"
}


void task_manager_unref (gpointer instance) {
	TaskManager* self;
	self = instance;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		TASK_MANAGER_GET_CLASS (self)->finalize (self);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskManager.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 2544 "TaskManager.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



