/* TaskStore.c generated by valac 0.32.1, the Vala compiler
 * generated from TaskStore.vala, do not modify */

/* Copyright 2014-2016 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>


#define TYPE_COLUMNS (columns_get_type ())

#define TYPE_TASK_STORE (task_store_get_type ())
#define TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_STORE, TaskStore))
#define TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_STORE, TaskStoreClass))
#define IS_TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_STORE))
#define IS_TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_STORE))
#define TASK_STORE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_STORE, TaskStoreClass))

typedef struct _TaskStore TaskStore;
typedef struct _TaskStoreClass TaskStoreClass;
typedef struct _TaskStorePrivate TaskStorePrivate;

#define TYPE_TODO_TASK (todo_task_get_type ())
#define TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TODO_TASK, TodoTask))
#define TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TODO_TASK, TodoTaskClass))
#define IS_TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TODO_TASK))
#define IS_TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TODO_TASK))
#define TODO_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TODO_TASK, TodoTaskClass))

typedef struct _TodoTask TodoTask;
typedef struct _TodoTaskClass TodoTaskClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _gtk_tree_row_reference_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_row_reference_free (var), NULL)))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))

typedef enum  {
	COLUMNS_TOGGLE,
	COLUMNS_TEXT,
	COLUMNS_DRAGHANDLE,
	COLUMNS_N_COLUMNS
} Columns;

struct _TaskStore {
	GtkListStore parent_instance;
	TaskStorePrivate * priv;
	gboolean active_task_invalid;
	gboolean done_by_default;
	TodoTask* active_task;
};

struct _TaskStoreClass {
	GtkListStoreClass parent_class;
};


static gpointer task_store_parent_class = NULL;

GType columns_get_type (void) G_GNUC_CONST;
GType task_store_get_type (void) G_GNUC_CONST;
GType todo_task_get_type (void) G_GNUC_CONST;
enum  {
	TASK_STORE_DUMMY_PROPERTY
};
TaskStore* task_store_new (gboolean done_by_default);
TaskStore* task_store_construct (GType object_type, gboolean done_by_default);
static void task_store_trigger_task_data_changed (TaskStore* self);
static void _task_store_trigger_task_data_changed_gtk_tree_model_rows_reordered (GtkTreeModel* _sender, GtkTreePath* path, GtkTreeIter* iter, gint* new_order, gpointer self);
static void _task_store_trigger_task_data_changed_gtk_tree_model_row_deleted (GtkTreeModel* _sender, GtkTreePath* path, gpointer self);
void task_store_add_task (TaskStore* self, const gchar* description, gint position);
gboolean task_store_is_empty (TaskStore* self);
void task_store_add_initial_task (TaskStore* self, const gchar* description, gboolean done, gint position);
void task_store_remove_task (TaskStore* self, GtkTreeIter* iter);
static gboolean task_store_compare_tasks (TaskStore* self, GtkTreeIter* iter);
const gchar* todo_task_get_title (TodoTask* self);
void todo_task_set_reference (TodoTask* self, const GtkTreeRowReference* value);
void task_store_edit_text (TaskStore* self, GtkTreeIter* iter, const gchar* text);
void todo_task_set_title (TodoTask* self, const gchar* value);
const GtkTreeRowReference* todo_task_get_reference (TodoTask* self);
static void g_cclosure_user_marshal_VOID__BOXED (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void task_store_finalize (GObject* obj);


/**
 * An implementation of Gtk.ListStore that offers special functionality
 * targeted towards the storage of todo list entries
 */
GType columns_get_type (void) {
	static volatile gsize columns_type_id__volatile = 0;
	if (g_once_init_enter (&columns_type_id__volatile)) {
		static const GEnumValue values[] = {{COLUMNS_TOGGLE, "COLUMNS_TOGGLE", "toggle"}, {COLUMNS_TEXT, "COLUMNS_TEXT", "text"}, {COLUMNS_DRAGHANDLE, "COLUMNS_DRAGHANDLE", "draghandle"}, {COLUMNS_N_COLUMNS, "COLUMNS_N_COLUMNS", "n-columns"}, {0, NULL, NULL}};
		GType columns_type_id;
		columns_type_id = g_enum_register_static ("Columns", values);
		g_once_init_leave (&columns_type_id__volatile, columns_type_id);
	}
	return columns_type_id__volatile;
}


/**
     * Constructor of the TaskStore class
     */
static void _task_store_trigger_task_data_changed_gtk_tree_model_rows_reordered (GtkTreeModel* _sender, GtkTreePath* path, GtkTreeIter* iter, gint* new_order, gpointer self) {
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	task_store_trigger_task_data_changed ((TaskStore*) self);
#line 124 "TaskStore.c"
}


static void _task_store_trigger_task_data_changed_gtk_tree_model_row_deleted (GtkTreeModel* _sender, GtkTreePath* path, gpointer self) {
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	task_store_trigger_task_data_changed ((TaskStore*) self);
#line 131 "TaskStore.c"
}


TaskStore* task_store_construct (GType object_type, gboolean done_by_default) {
	TaskStore * self = NULL;
	gboolean _tmp0_ = FALSE;
	GType* _tmp1_ = NULL;
	GType* _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	self = (TaskStore*) g_object_new (object_type, NULL);
#line 47 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp0_ = done_by_default;
#line 47 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	self->done_by_default = _tmp0_;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_ = g_new0 (GType, 3);
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_[0] = G_TYPE_BOOLEAN;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_[1] = G_TYPE_STRING;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_[2] = G_TYPE_STRING;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp2_ = _tmp1_;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp2__length1 = 3;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	gtk_list_store_set_column_types (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_list_store_get_type (), GtkListStore), 3, _tmp2_);
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp2_ = (g_free (_tmp2_), NULL);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_signal_connect_object ((GtkTreeModel*) self, "rows-reordered", (GCallback) _task_store_trigger_task_data_changed_gtk_tree_model_rows_reordered, self, 0);
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_signal_connect_object ((GtkTreeModel*) self, "row-deleted", (GCallback) _task_store_trigger_task_data_changed_gtk_tree_model_row_deleted, self, 0);
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	return self;
#line 169 "TaskStore.c"
}


TaskStore* task_store_new (gboolean done_by_default) {
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	return task_store_construct (TYPE_TASK_STORE, done_by_default);
#line 176 "TaskStore.c"
}


static void task_store_trigger_task_data_changed (TaskStore* self) {
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_signal_emit_by_name (self, "task-data-changed");
#line 185 "TaskStore.c"
}


/** 
     * To be called when an actually new task is to be added to the list.
     * Therefore it does not need a "done" parameter, as one can determine
     * that by observing the type of list to be added to.
     */
void task_store_add_task (TaskStore* self, const gchar* description, gint position) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 71 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 71 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (description != NULL);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp0_ = description;
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_ = g_strstrip (_tmp0_);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (g_strcmp0 (_tmp1_, "") != 0) {
#line 207 "TaskStore.c"
		gboolean was_empty = FALSE;
		gboolean _tmp2_ = FALSE;
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
		gint _tmp5_ = 0;
		gboolean _tmp6_ = FALSE;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp2_ = task_store_is_empty (self);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		was_empty = _tmp2_;
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp3_ = description;
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp4_ = self->done_by_default;
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp5_ = position;
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		task_store_add_initial_task (self, _tmp3_, _tmp4_, _tmp5_);
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		g_signal_emit_by_name (self, "task-data-changed");
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp6_ = was_empty;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		if (_tmp6_) {
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			g_signal_emit_by_name (self, "refresh-active-task");
#line 234 "TaskStore.c"
		}
	}
}


/**
     * Removes the given task from the list.
     */
static gpointer _g_object_ref0 (gpointer self) {
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	return self ? g_object_ref (self) : NULL;
#line 246 "TaskStore.c"
}


void task_store_remove_task (TaskStore* self, GtkTreeIter* iter) {
	gboolean is_active_task = FALSE;
	GtkTreeIter _tmp0_ = {0};
	gboolean _tmp1_ = FALSE;
	TodoTask* _active_task = NULL;
	TodoTask* _tmp2_ = NULL;
	TodoTask* _tmp3_ = NULL;
	GtkTreeIter _tmp4_ = {0};
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (iter != NULL);
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp0_ = *iter;
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_ = task_store_compare_tasks (self, &_tmp0_);
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	is_active_task = _tmp1_;
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp2_ = self->active_task;
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_active_task = _tmp3_;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp4_ = *iter;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	gtk_list_store_remove ((GtkListStore*) self, &_tmp4_);
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp6_ = is_active_task;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (_tmp6_) {
#line 284 "TaskStore.c"
		TodoTask* _tmp7_ = NULL;
		TodoTask* _tmp8_ = NULL;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp7_ = _active_task;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp8_ = self->active_task;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp5_ = _tmp7_ == _tmp8_;
#line 293 "TaskStore.c"
	} else {
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp5_ = FALSE;
#line 297 "TaskStore.c"
	}
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (_tmp5_) {
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_g_object_unref0 (self->active_task);
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		self->active_task = NULL;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		g_signal_emit_by_name (self, "refresh-active-task");
#line 307 "TaskStore.c"
	}
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_g_object_unref0 (_active_task);
#line 311 "TaskStore.c"
}


/**
     * Function for adding a task on application startup.
     * When tasks are added initially, the "task_data_changed" signal
     * is not emmited.
     */
void task_store_add_initial_task (TaskStore* self, const gchar* description, gboolean done, gint position) {
	GtkTreeIter iter = {0};
	gint _tmp0_ = 0;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (description != NULL);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp0_ = position;
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_ = done;
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp2_ = description;
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	gtk_list_store_insert_with_values ((GtkListStore*) self, &_tmp3_, _tmp0_, COLUMNS_TOGGLE, _tmp1_, COLUMNS_TEXT, _tmp2_, COLUMNS_DRAGHANDLE, "view-list-symbolic", -1, -1);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	iter = _tmp3_;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp5_ = self->active_task_invalid;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (_tmp5_) {
#line 346 "TaskStore.c"
		TodoTask* _tmp6_ = NULL;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp6_ = self->active_task;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp4_ = _tmp6_ != NULL;
#line 352 "TaskStore.c"
	} else {
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp4_ = FALSE;
#line 356 "TaskStore.c"
	}
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (_tmp4_) {
#line 360 "TaskStore.c"
		const gchar* _tmp7_ = NULL;
		TodoTask* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp7_ = description;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp8_ = self->active_task;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp9_ = todo_task_get_title (_tmp8_);
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp10_ = _tmp9_;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		if (g_strcmp0 (_tmp7_, _tmp10_) == 0) {
#line 375 "TaskStore.c"
			GtkTreePath* path = NULL;
			GtkTreeIter _tmp11_ = {0};
			GtkTreePath* _tmp12_ = NULL;
			TodoTask* _tmp13_ = NULL;
			GtkTreePath* _tmp14_ = NULL;
			GtkTreeRowReference* _tmp15_ = NULL;
			GtkTreeRowReference* _tmp16_ = NULL;
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp11_ = iter;
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp12_ = gtk_tree_model_get_path ((GtkTreeModel*) self, &_tmp11_);
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			path = _tmp12_;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp13_ = self->active_task;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp14_ = path;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp15_ = gtk_tree_row_reference_new ((GtkTreeModel*) self, _tmp14_);
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp16_ = _tmp15_;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			todo_task_set_reference (_tmp13_, _tmp16_);
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_gtk_tree_row_reference_free0 (_tmp16_);
#line 117 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			self->active_task_invalid = FALSE;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_gtk_tree_path_free0 (path);
#line 405 "TaskStore.c"
		}
	}
}


/**
     * Function for modifying the text of a specific task.
     */
void task_store_edit_text (TaskStore* self, GtkTreeIter* iter, const gchar* text) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (iter != NULL);
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (text != NULL);
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp0_ = text;
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_ = g_strstrip (_tmp0_);
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (g_strcmp0 (_tmp1_, "") != 0) {
#line 429 "TaskStore.c"
		GtkTreeIter _tmp2_ = {0};
		const gchar* _tmp3_ = NULL;
		GtkTreeIter _tmp4_ = {0};
		gboolean _tmp5_ = FALSE;
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp2_ = *iter;
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp3_ = text;
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		gtk_list_store_set ((GtkListStore*) self, &_tmp2_, 1, _tmp3_, -1);
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		g_signal_emit_by_name (self, "task-data-changed");
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp4_ = *iter;
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp5_ = task_store_compare_tasks (self, &_tmp4_);
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		if (_tmp5_) {
#line 448 "TaskStore.c"
			TodoTask* _tmp6_ = NULL;
			const gchar* _tmp7_ = NULL;
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp6_ = self->active_task;
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp7_ = text;
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			todo_task_set_title (_tmp6_, _tmp7_);
#line 457 "TaskStore.c"
		}
	} else {
		GtkTreeIter _tmp8_ = {0};
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp8_ = *iter;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		task_store_remove_task (self, &_tmp8_);
#line 465 "TaskStore.c"
	}
}


/**
     * Checks if iter corresponds to the active task.
     */
static gboolean task_store_compare_tasks (TaskStore* self, GtkTreeIter* iter) {
	gboolean result = FALSE;
	TodoTask* _tmp0_ = NULL;
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp0_ = self->active_task;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (_tmp0_ != NULL) {
#line 484 "TaskStore.c"
		GtkTreePath* active_path = NULL;
		TodoTask* _tmp1_ = NULL;
		const GtkTreeRowReference* _tmp2_ = NULL;
		const GtkTreeRowReference* _tmp3_ = NULL;
		GtkTreePath* _tmp4_ = NULL;
		GtkTreePath* iter_path = NULL;
		GtkTreeIter _tmp5_ = {0};
		GtkTreePath* _tmp6_ = NULL;
		gboolean _tmp7_ = FALSE;
		GtkTreePath* _tmp8_ = NULL;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp1_ = self->active_task;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp2_ = todo_task_get_reference (_tmp1_);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp3_ = _tmp2_;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp4_ = gtk_tree_row_reference_get_path (_tmp3_);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		active_path = _tmp4_;
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp5_ = *iter;
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp6_ = gtk_tree_model_get_path ((GtkTreeModel*) self, &_tmp5_);
#line 143 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		iter_path = _tmp6_;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_tmp8_ = iter_path;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		if (_tmp8_ != NULL) {
#line 515 "TaskStore.c"
			GtkTreePath* _tmp9_ = NULL;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp9_ = active_path;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp7_ = _tmp9_ != NULL;
#line 521 "TaskStore.c"
		} else {
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp7_ = FALSE;
#line 525 "TaskStore.c"
		}
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		if (_tmp7_) {
#line 529 "TaskStore.c"
			GtkTreePath* _tmp10_ = NULL;
			GtkTreePath* _tmp11_ = NULL;
			gint _tmp12_ = 0;
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp10_ = active_path;
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp11_ = iter_path;
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_tmp12_ = gtk_tree_path_compare (_tmp10_, _tmp11_);
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			result = _tmp12_ == 0;
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_gtk_tree_path_free0 (iter_path);
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			_gtk_tree_path_free0 (active_path);
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
			return result;
#line 547 "TaskStore.c"
		}
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_gtk_tree_path_free0 (iter_path);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		_gtk_tree_path_free0 (active_path);
#line 553 "TaskStore.c"
	}
#line 150 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	result = FALSE;
#line 150 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	return result;
#line 559 "TaskStore.c"
}


/**
     * Checks if the TaskStore is empty
     */
gboolean task_store_is_empty (TaskStore* self) {
	gboolean result = FALSE;
	GtkTreeIter tmp = {0};
	GtkTreeIter _tmp0_ = {0};
	gboolean _tmp1_ = FALSE;
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_tmp1_ = gtk_tree_model_get_iter_first ((GtkTreeModel*) self, &_tmp0_);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	tmp = _tmp0_;
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	result = !_tmp1_;
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	return result;
#line 581 "TaskStore.c"
}


static void g_cclosure_user_marshal_VOID__BOXED (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__BOXED) (gpointer data1, gpointer arg_1, gpointer data2);
	register GMarshalFunc_VOID__BOXED callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_return_if_fail (n_param_values == 2);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		data1 = closure->data;
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		data2 = param_values->data[0].v_pointer;
#line 600 "TaskStore.c"
	} else {
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		data1 = param_values->data[0].v_pointer;
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
		data2 = closure->data;
#line 606 "TaskStore.c"
	}
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	callback = (GMarshalFunc_VOID__BOXED) (marshal_data ? marshal_data : cc->callback);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	callback (data1, g_value_get_boxed (param_values + 1), data2);
#line 612 "TaskStore.c"
}


static void task_store_class_init (TaskStoreClass * klass) {
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	task_store_parent_class = g_type_class_peek_parent (klass);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	G_OBJECT_CLASS (klass)->finalize = task_store_finalize;
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_signal_new ("task_data_changed", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_signal_new ("task_done_changed", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__BOXED, G_TYPE_NONE, 1, GTK_TYPE_TREE_ITER);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	g_signal_new ("refresh_active_task", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 627 "TaskStore.c"
}


static void task_store_instance_init (TaskStore * self) {
#line 34 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	self->active_task_invalid = FALSE;
#line 634 "TaskStore.c"
}


static void task_store_finalize (GObject* obj) {
	TaskStore * self;
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TASK_STORE, TaskStore);
#line 36 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	_g_object_unref0 (self->active_task);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/TaskStore.vala"
	G_OBJECT_CLASS (task_store_parent_class)->finalize (obj);
#line 646 "TaskStore.c"
}


GType task_store_get_type (void) {
	static volatile gsize task_store_type_id__volatile = 0;
	if (g_once_init_enter (&task_store_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (TaskStoreClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) task_store_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TaskStore), 0, (GInstanceInitFunc) task_store_instance_init, NULL };
		GType task_store_type_id;
		task_store_type_id = g_type_register_static (gtk_list_store_get_type (), "TaskStore", &g_define_type_info, 0);
		g_once_init_leave (&task_store_type_id__volatile, task_store_type_id);
	}
	return task_store_type_id__volatile;
}



