/* SettingsDialog.c generated by valac 0.32.1, the Vala compiler
 * generated from SettingsDialog.vala, do not modify */

/* Copyright 2014-2016 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>


#define TYPE_SETTINGS_DIALOG (settings_dialog_get_type ())
#define SETTINGS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_DIALOG, SettingsDialog))
#define SETTINGS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_DIALOG, SettingsDialogClass))
#define IS_SETTINGS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_DIALOG))
#define IS_SETTINGS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_DIALOG))
#define SETTINGS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_DIALOG, SettingsDialogClass))

typedef struct _SettingsDialog SettingsDialog;
typedef struct _SettingsDialogClass SettingsDialogClass;
typedef struct _SettingsDialogPrivate SettingsDialogPrivate;

#define TYPE_SETTINGS_MANAGER (settings_manager_get_type ())
#define SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SETTINGS_MANAGER, SettingsManager))
#define SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SETTINGS_MANAGER, SettingsManagerClass))
#define IS_SETTINGS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SETTINGS_MANAGER))
#define IS_SETTINGS_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SETTINGS_MANAGER))
#define SETTINGS_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SETTINGS_MANAGER, SettingsManagerClass))

typedef struct _SettingsManager SettingsManager;
typedef struct _SettingsManagerClass SettingsManagerClass;
#define _settings_manager_unref0(var) ((var == NULL) ? NULL : (var = (settings_manager_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block3Data Block3Data;
typedef struct _Block4Data Block4Data;
typedef struct _Block5Data Block5Data;
typedef struct _Block6Data Block6Data;

struct _SettingsDialog {
	GtkDialog parent_instance;
	SettingsDialogPrivate * priv;
};

struct _SettingsDialogClass {
	GtkDialogClass parent_class;
};

struct _SettingsDialogPrivate {
	SettingsManager* settings;
	GtkGrid* main_layout;
};

struct _Block3Data {
	int _ref_count_;
	SettingsDialog* self;
	GtkFileChooserButton* directory_btn;
};

struct _Block4Data {
	int _ref_count_;
	SettingsDialog* self;
	GtkSpinButton* task_spin;
	GtkSpinButton* break_spin;
	GtkSpinButton* reminder_spin;
};

struct _Block5Data {
	int _ref_count_;
	SettingsDialog* self;
	GtkSwitch* dark_theme_switch;
};

struct _Block6Data {
	int _ref_count_;
	SettingsDialog* self;
	GtkSwitch* headerbar_switch;
};


static gpointer settings_dialog_parent_class = NULL;

GType settings_dialog_get_type (void) G_GNUC_CONST;
gpointer settings_manager_ref (gpointer instance);
void settings_manager_unref (gpointer instance);
GParamSpec* param_spec_settings_manager (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_settings_manager (GValue* value, gpointer v_object);
void value_take_settings_manager (GValue* value, gpointer v_object);
gpointer value_get_settings_manager (const GValue* value);
GType settings_manager_get_type (void) G_GNUC_CONST;
#define SETTINGS_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SETTINGS_DIALOG, SettingsDialogPrivate))
enum  {
	SETTINGS_DIALOG_DUMMY_PROPERTY
};
SettingsDialog* settings_dialog_new (GtkWindow* parent, SettingsManager* settings);
SettingsDialog* settings_dialog_construct (GType object_type, GtkWindow* parent, SettingsManager* settings);
static void settings_dialog_setup_settings_widgets (SettingsDialog* self);
static void __lambda23_ (SettingsDialog* self, GtkDialog* s, gint response);
static void ___lambda23__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self);
static void settings_dialog_setup_txt_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row);
static void settings_dialog_setup_timer_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row);
static void settings_dialog_setup_appearance_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row);
static void settings_dialog_add_section (SettingsDialog* self, GtkGrid* grid, GtkLabel* label, gint* row);
static void settings_dialog_add_option (SettingsDialog* self, GtkGrid* grid, GtkWidget* label, GtkWidget* switcher, gint* row);
static void settings_dialog_add_explanation (SettingsDialog* self, GtkGrid* grid, GtkLabel* label, gint* row);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
gchar* settings_manager_get_todo_txt_location (SettingsManager* self);
static void __lambda17_ (Block3Data* _data3_, GtkFileChooserButton* e);
void settings_manager_set_todo_txt_location (SettingsManager* self, const gchar* value);
static void ___lambda17__gtk_file_chooser_button_file_set (GtkFileChooserButton* _sender, gpointer self);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
gint settings_manager_get_task_duration (SettingsManager* self);
gint settings_manager_get_break_duration (SettingsManager* self);
gint settings_manager_get_reminder_time (SettingsManager* self);
static void __lambda18_ (Block4Data* _data4_, GtkSpinButton* e);
void settings_manager_set_task_duration (SettingsManager* self, gint value);
static void ___lambda18__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda19_ (Block4Data* _data4_, GtkSpinButton* e);
void settings_manager_set_break_duration (SettingsManager* self, gint value);
static void ___lambda19__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda20_ (Block4Data* _data4_, GtkSpinButton* e);
void settings_manager_set_reminder_time (SettingsManager* self, gint value);
static void ___lambda20__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
gboolean settings_manager_get_use_dark_theme (SettingsManager* self);
static void __lambda21_ (Block5Data* _data5_);
void settings_manager_set_use_dark_theme (SettingsManager* self, gboolean value);
static void ___lambda21__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void settings_dialog_setup_csd_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
gboolean settings_manager_get_use_header_bar (SettingsManager* self);
static void __lambda22_ (Block6Data* _data6_);
void settings_manager_set_use_header_bar (SettingsManager* self, gboolean value);
static void ___lambda22__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void settings_dialog_finalize (GObject* obj);


static gpointer _settings_manager_ref0 (gpointer self) {
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return self ? settings_manager_ref (self) : NULL;
#line 166 "SettingsDialog.c"
}


static void __lambda23_ (SettingsDialog* self, GtkDialog* s, gint response) {
	gint _tmp0_ = 0;
#line 48 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (s != NULL);
#line 49 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = response;
#line 49 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (_tmp0_ == ((gint) GTK_RESPONSE_CLOSE)) {
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 180 "SettingsDialog.c"
	}
}


static void ___lambda23__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self) {
#line 48 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda23_ ((SettingsDialog*) self, _sender, response_id);
#line 188 "SettingsDialog.c"
}


SettingsDialog* settings_dialog_construct (GType object_type, GtkWindow* parent, SettingsManager* settings) {
	SettingsDialog * self = NULL;
	GtkWindow* _tmp0_ = NULL;
	SettingsManager* _tmp1_ = NULL;
	SettingsManager* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkBox* _tmp4_ = NULL;
	GtkBox* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_val_if_fail (settings != NULL, NULL);
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = (SettingsDialog*) g_object_new (object_type, NULL);
#line 27 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = parent;
#line 27 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, _tmp0_);
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = settings;
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = _settings_manager_ref0 (_tmp1_);
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self->priv->settings = _tmp2_;
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = (GtkGrid*) gtk_grid_new ();
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp3_);
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->main_layout);
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self->priv->main_layout = _tmp3_;
#line 34 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_window_set_default_size ((GtkWindow*) self, 1, 1);
#line 35 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 35 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_set ((GtkWidget*) _tmp4_, "margin", 10, NULL);
#line 36 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 36 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = self->priv->main_layout;
#line 36 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_box_pack_start (_tmp5_, (GtkWidget*) _tmp6_, TRUE, TRUE, (guint) 0);
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp7_ = self->priv->main_layout;
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp7_, TRUE);
#line 39 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp8_ = self->priv->main_layout;
#line 39 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp8_, GTK_ORIENTATION_VERTICAL);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp9_ = self->priv->main_layout;
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_grid_set_row_spacing (_tmp9_, 10);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp10_ = self->priv->main_layout;
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_grid_set_column_spacing (_tmp10_, 10);
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp11_ = _ ("Settings");
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_window_set_title ((GtkWindow*) self, _tmp11_);
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_setup_settings_widgets (self);
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp12_ = _ ("Close");
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_dialog_add_button ((GtkDialog*) self, _tmp12_, (gint) GTK_RESPONSE_CLOSE);
#line 48 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_object ((GtkDialog*) self, "response", (GCallback) ___lambda23__gtk_dialog_response, self, 0);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return self;
#line 277 "SettingsDialog.c"
}


SettingsDialog* settings_dialog_new (GtkWindow* parent, SettingsManager* settings) {
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return settings_dialog_construct (TYPE_SETTINGS_DIALOG, parent, settings);
#line 284 "SettingsDialog.c"
}


static void settings_dialog_setup_settings_widgets (SettingsDialog* self) {
	gint row = 0;
	GtkGrid* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkGrid* _tmp2_ = NULL;
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	row = 0;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->main_layout;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_setup_txt_settings_widgets (self, _tmp0_, &row);
#line 60 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = self->priv->main_layout;
#line 60 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_setup_timer_settings_widgets (self, _tmp1_, &row);
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = self->priv->main_layout;
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_setup_appearance_settings_widgets (self, _tmp2_, &row);
#line 309 "SettingsDialog.c"
}


static void settings_dialog_add_section (SettingsDialog* self, GtkGrid* grid, GtkLabel* label, gint* row) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GtkLabel* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (label != NULL);
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = label;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = label;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = gtk_label_get_text (_tmp1_);
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = g_strdup_printf ("<b>%s</b>", _tmp2_);
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = _tmp3_;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_label_set_markup (_tmp0_, _tmp4_);
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp4_);
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = label;
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp5_, GTK_ALIGN_START);
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = grid;
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp7_ = label;
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp8_ = *row;
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_grid_attach (_tmp6_, (GtkWidget*) _tmp7_, 0, _tmp8_, 2, 1);
#line 69 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp9_ = *row;
#line 69 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	*row = _tmp9_ + 1;
#line 360 "SettingsDialog.c"
}


static void settings_dialog_add_option (SettingsDialog* self, GtkGrid* grid, GtkWidget* label, GtkWidget* switcher, gint* row) {
	GtkWidget* _tmp0_ = NULL;
	GtkWidget* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GtkWidget* _tmp3_ = NULL;
	GtkWidget* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	GtkWidget* _tmp6_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkWidget* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	GtkGrid* _tmp12_ = NULL;
	GtkWidget* _tmp13_ = NULL;
	gint _tmp14_ = 0;
	gint _tmp15_ = 0;
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (label != NULL);
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (switcher != NULL);
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = label;
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_hexpand (_tmp0_, TRUE);
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = label;
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_margin_left (_tmp1_, 20);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = label;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_halign (_tmp2_, GTK_ALIGN_START);
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = switcher;
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_hexpand (_tmp3_, TRUE);
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = switcher;
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_halign (_tmp4_, GTK_ALIGN_FILL);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = switcher;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, gtk_switch_get_type ())) {
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_tmp5_ = TRUE;
#line 413 "SettingsDialog.c"
	} else {
		GtkWidget* _tmp7_ = NULL;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_tmp7_ = switcher;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_tmp5_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, gtk_entry_get_type ());
#line 420 "SettingsDialog.c"
	}
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (_tmp5_) {
#line 424 "SettingsDialog.c"
		GtkWidget* _tmp8_ = NULL;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_tmp8_ = switcher;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		gtk_widget_set_halign (_tmp8_, GTK_ALIGN_START);
#line 430 "SettingsDialog.c"
	}
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp9_ = grid;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp10_ = label;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp11_ = *row;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_grid_attach (_tmp9_, _tmp10_, 0, _tmp11_, 1, 1);
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp12_ = grid;
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp13_ = switcher;
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp14_ = *row;
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_grid_attach (_tmp12_, _tmp13_, 1, _tmp14_, 1, 1);
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp15_ = *row;
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	*row = _tmp15_ + 1;
#line 452 "SettingsDialog.c"
}


static void settings_dialog_add_explanation (SettingsDialog* self, GtkGrid* grid, GtkLabel* label, gint* row) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (label != NULL);
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = label;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp0_, TRUE);
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = label;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_margin_left ((GtkWidget*) _tmp1_, 20);
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = label;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp2_, GTK_ALIGN_START);
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = grid;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = label;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = *row;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_grid_attach (_tmp3_, (GtkWidget*) _tmp4_, 0, _tmp5_, 2, 1);
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = *row;
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	*row = _tmp6_ + 1;
#line 494 "SettingsDialog.c"
}


static Block3Data* block3_data_ref (Block3Data* _data3_) {
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return _data3_;
#line 503 "SettingsDialog.c"
}


static void block3_data_unref (void * _userdata_) {
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 512 "SettingsDialog.c"
		SettingsDialog* self;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		self = _data3_->self;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (_data3_->directory_btn);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (self);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		g_slice_free (Block3Data, _data3_);
#line 522 "SettingsDialog.c"
	}
}


static void __lambda17_ (Block3Data* _data3_, GtkFileChooserButton* e) {
	SettingsDialog* self;
	gchar* todo_dir = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	SettingsManager* _tmp4_ = NULL;
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = _data3_->self;
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = gtk_file_chooser_get_file ((GtkFileChooser*) _data3_->directory_btn);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = _tmp0_;
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = g_file_get_path (_tmp1_);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = _tmp2_;
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_tmp1_);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	todo_dir = _tmp3_;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = self->priv->settings;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_manager_set_todo_txt_location (_tmp4_, todo_dir);
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (todo_dir);
#line 557 "SettingsDialog.c"
}


static void ___lambda17__gtk_file_chooser_button_file_set (GtkFileChooserButton* _sender, gpointer self) {
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda17_ (self, _sender);
#line 564 "SettingsDialog.c"
}


static void settings_dialog_setup_txt_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row) {
	Block3Data* _data3_;
	GtkLabel* txt_sect_lbl = NULL;
	GtkLabel* directory_lbl = NULL;
	GtkLabel* directory_explanation_lbl = NULL;
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GtkFileChooserButton* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	GtkLabel* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	GtkLabel* _tmp12_ = NULL;
	SettingsManager* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	GtkGrid* _tmp17_ = NULL;
	GtkGrid* _tmp18_ = NULL;
	GtkGrid* _tmp19_ = NULL;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data3_->_ref_count_ = 1;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data3_->self = g_object_ref (self);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new ("Todo.txt");
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (txt_sect_lbl);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	txt_sect_lbl = _tmp0_;
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = _ ("directory");
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = g_strconcat ("Todo.txt ", _tmp1_, NULL);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = _tmp2_;
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = (GtkFileChooserButton*) gtk_file_chooser_button_new (_tmp3_, GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_data3_->directory_btn);
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data3_->directory_btn = _tmp4_;
#line 110 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp3_);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = _ ("directory");
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = g_strconcat ("<a href=\"http://todotxt.com\">Todo.txt</a> ", _tmp5_, NULL);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp7_ = _tmp6_;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp8_ = g_strconcat (_tmp7_, ":", NULL);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp9_ = _tmp8_;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new (_tmp9_);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (directory_lbl);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	directory_lbl = _tmp10_;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp9_);
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp7_);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp11_ = _ ("If no appropriate folder was found, Go For It! defaults to creating a " \
"Todo folder in your home directory.");
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_tmp11_);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (directory_explanation_lbl);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	directory_explanation_lbl = _tmp12_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_label_set_line_wrap (directory_lbl, FALSE);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_label_set_use_markup (directory_lbl, TRUE);
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_label_set_line_wrap (directory_explanation_lbl, TRUE);
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (directory_explanation_lbl, gtk_misc_get_type (), GtkMisc), "xalign", 0.f, NULL);
#line 127 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_file_chooser_set_create_folders ((GtkFileChooser*) _data3_->directory_btn, TRUE);
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp13_ = self->priv->settings;
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp14_ = settings_manager_get_todo_txt_location (_tmp13_);
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp15_ = _tmp14_;
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp16_ = _tmp15_;
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_file_chooser_set_current_folder ((GtkFileChooser*) _data3_->directory_btn, _tmp16_);
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp16_);
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_data (_data3_->directory_btn, "file-set", (GCallback) ___lambda17__gtk_file_chooser_button_file_set, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp17_ = self->priv->main_layout;
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_section (self, _tmp17_, txt_sect_lbl, row);
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp18_ = self->priv->main_layout;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_explanation (self, _tmp18_, directory_explanation_lbl, row);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp19_ = self->priv->main_layout;
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_option (self, _tmp19_, (GtkWidget*) directory_lbl, (GtkWidget*) _data3_->directory_btn, row);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (directory_explanation_lbl);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (directory_lbl);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (txt_sect_lbl);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	block3_data_unref (_data3_);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data3_ = NULL;
#line 705 "SettingsDialog.c"
}


static Block4Data* block4_data_ref (Block4Data* _data4_) {
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return _data4_;
#line 714 "SettingsDialog.c"
}


static void block4_data_unref (void * _userdata_) {
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 723 "SettingsDialog.c"
		SettingsDialog* self;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		self = _data4_->self;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (_data4_->reminder_spin);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (_data4_->break_spin);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (_data4_->task_spin);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (self);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		g_slice_free (Block4Data, _data4_);
#line 737 "SettingsDialog.c"
	}
}


static void __lambda18_ (Block4Data* _data4_, GtkSpinButton* e) {
	SettingsDialog* self;
	SettingsManager* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = _data4_->self;
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = gtk_spin_button_get_value_as_int (_data4_->task_spin);
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_manager_set_task_duration (_tmp0_, _tmp1_ * 60);
#line 756 "SettingsDialog.c"
}


static void ___lambda18__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda18_ (self, _sender);
#line 763 "SettingsDialog.c"
}


static void __lambda19_ (Block4Data* _data4_, GtkSpinButton* e) {
	SettingsDialog* self;
	SettingsManager* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = _data4_->self;
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 173 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 173 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = gtk_spin_button_get_value_as_int (_data4_->break_spin);
#line 173 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_manager_set_break_duration (_tmp0_, _tmp1_ * 60);
#line 781 "SettingsDialog.c"
}


static void ___lambda19__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda19_ (self, _sender);
#line 788 "SettingsDialog.c"
}


static void __lambda20_ (Block4Data* _data4_, GtkSpinButton* e) {
	SettingsDialog* self;
	SettingsManager* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = _data4_->self;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (e != NULL);
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = gtk_spin_button_get_value_as_int (_data4_->reminder_spin);
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_manager_set_reminder_time (_tmp0_, _tmp1_);
#line 806 "SettingsDialog.c"
}


static void ___lambda20__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda20_ (self, _sender);
#line 813 "SettingsDialog.c"
}


static void settings_dialog_setup_timer_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row) {
	Block4Data* _data4_;
	GtkLabel* timer_sect_lbl = NULL;
	GtkLabel* task_lbl = NULL;
	GtkLabel* break_lbl = NULL;
	GtkLabel* reminder_lbl = NULL;
	const gchar* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GtkLabel* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkSpinButton* _tmp14_ = NULL;
	GtkSpinButton* _tmp15_ = NULL;
	GtkSpinButton* _tmp16_ = NULL;
	SettingsManager* _tmp17_ = NULL;
	gint _tmp18_ = 0;
	gint _tmp19_ = 0;
	SettingsManager* _tmp20_ = NULL;
	gint _tmp21_ = 0;
	gint _tmp22_ = 0;
	SettingsManager* _tmp23_ = NULL;
	gint _tmp24_ = 0;
	gint _tmp25_ = 0;
	GtkGrid* _tmp26_ = NULL;
	GtkGrid* _tmp27_ = NULL;
	GtkGrid* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_ = g_slice_new0 (Block4Data);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_->_ref_count_ = 1;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_->self = g_object_ref (self);
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = _ ("Timer");
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new (_tmp0_);
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (timer_sect_lbl);
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	timer_sect_lbl = _tmp1_;
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = _ ("Task duration (minutes)");
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = g_strconcat (_tmp2_, ":", NULL);
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = _tmp3_;
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = (GtkLabel*) gtk_label_new (_tmp4_);
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (task_lbl);
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	task_lbl = _tmp5_;
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp4_);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = _ ("Break duration (minutes)");
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp7_ = g_strconcat (_tmp6_, ":", NULL);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp8_ = _tmp7_;
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp9_ = (GtkLabel*) gtk_label_new (_tmp8_);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (break_lbl);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	break_lbl = _tmp9_;
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp8_);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp10_ = _ ("Reminder before task ends (seconds)");
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp11_ = g_strconcat (_tmp10_, ":", NULL);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp12_ = _tmp11_;
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp13_ = (GtkLabel*) gtk_label_new (_tmp12_);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp13_);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (reminder_lbl);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	reminder_lbl = _tmp13_;
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp12_);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp14_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) 1439, (gdouble) 1);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp14_);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_data4_->task_spin);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_->task_spin = _tmp14_;
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp15_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) 1439, (gdouble) 1);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp15_);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_data4_->break_spin);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_->break_spin = _tmp15_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp16_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 600, (gdouble) 1);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp16_);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_data4_->reminder_spin);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_->reminder_spin = _tmp16_;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp17_ = self->priv->settings;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp18_ = settings_manager_get_task_duration (_tmp17_);
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp19_ = _tmp18_;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_spin_button_set_value (_data4_->task_spin, (gdouble) (_tmp19_ / 60));
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp20_ = self->priv->settings;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp21_ = settings_manager_get_break_duration (_tmp20_);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp22_ = _tmp21_;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_spin_button_set_value (_data4_->break_spin, (gdouble) (_tmp22_ / 60));
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp23_ = self->priv->settings;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp24_ = settings_manager_get_reminder_time (_tmp23_);
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp25_ = _tmp24_;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_spin_button_set_value (_data4_->reminder_spin, (gdouble) _tmp25_);
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_data (_data4_->task_spin, "value-changed", (GCallback) ___lambda18__gtk_spin_button_value_changed, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_data (_data4_->break_spin, "value-changed", (GCallback) ___lambda19__gtk_spin_button_value_changed, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_data (_data4_->reminder_spin, "value-changed", (GCallback) ___lambda20__gtk_spin_button_value_changed, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp26_ = grid;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_section (self, _tmp26_, timer_sect_lbl, row);
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp27_ = grid;
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_option (self, _tmp27_, (GtkWidget*) task_lbl, (GtkWidget*) _data4_->task_spin, row);
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp28_ = grid;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_option (self, _tmp28_, (GtkWidget*) break_lbl, (GtkWidget*) _data4_->break_spin, row);
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp29_ = grid;
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_option (self, _tmp29_, (GtkWidget*) reminder_lbl, (GtkWidget*) _data4_->reminder_spin, row);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (reminder_lbl);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (break_lbl);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (task_lbl);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (timer_sect_lbl);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	block4_data_unref (_data4_);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data4_ = NULL;
#line 1003 "SettingsDialog.c"
}


static Block5Data* block5_data_ref (Block5Data* _data5_) {
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return _data5_;
#line 1012 "SettingsDialog.c"
}


static void block5_data_unref (void * _userdata_) {
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 1021 "SettingsDialog.c"
		SettingsDialog* self;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		self = _data5_->self;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (_data5_->dark_theme_switch);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (self);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		g_slice_free (Block5Data, _data5_);
#line 1031 "SettingsDialog.c"
	}
}


static void __lambda21_ (Block5Data* _data5_) {
	SettingsDialog* self;
	SettingsManager* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = _data5_->self;
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = gtk_switch_get_active (_data5_->dark_theme_switch);
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = _tmp1_;
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_manager_set_use_dark_theme (_tmp0_, _tmp2_);
#line 1051 "SettingsDialog.c"
}


static void ___lambda21__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda21_ (self);
#line 1058 "SettingsDialog.c"
}


static void settings_dialog_setup_appearance_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row) {
	Block5Data* _data5_;
	GtkLabel* appearance_sect_lbl = NULL;
	GtkLabel* dark_theme_lbl = NULL;
	const gchar* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkSwitch* _tmp4_ = NULL;
	SettingsManager* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data5_->_ref_count_ = 1;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data5_->self = g_object_ref (self);
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = _ ("Appearance");
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new (_tmp0_);
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (appearance_sect_lbl);
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	appearance_sect_lbl = _tmp1_;
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = _ ("Dark theme");
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (_tmp2_);
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp3_);
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (dark_theme_lbl);
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	dark_theme_lbl = _tmp3_;
#line 194 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = (GtkSwitch*) gtk_switch_new ();
#line 194 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 194 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_data5_->dark_theme_switch);
#line 194 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data5_->dark_theme_switch = _tmp4_;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = self->priv->settings;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = settings_manager_get_use_dark_theme (_tmp5_);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp7_ = _tmp6_;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_switch_set_active (_data5_->dark_theme_switch, _tmp7_);
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_data ((GObject*) _data5_->dark_theme_switch, "notify::active", (GCallback) ___lambda21__g_object_notify, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp8_ = grid;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_section (self, _tmp8_, appearance_sect_lbl, row);
#line 206 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp9_ = grid;
#line 206 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_option (self, _tmp9_, (GtkWidget*) dark_theme_lbl, (GtkWidget*) _data5_->dark_theme_switch, row);
#line 209 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp10_ = self->priv->main_layout;
#line 209 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_setup_csd_settings_widgets (self, _tmp10_, row);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (dark_theme_lbl);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (appearance_sect_lbl);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	block5_data_unref (_data5_);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data5_ = NULL;
#line 1145 "SettingsDialog.c"
}


static Block6Data* block6_data_ref (Block6Data* _data6_) {
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	return _data6_;
#line 1154 "SettingsDialog.c"
}


static void block6_data_unref (void * _userdata_) {
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 1163 "SettingsDialog.c"
		SettingsDialog* self;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		self = _data6_->self;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (_data6_->headerbar_switch);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		_g_object_unref0 (self);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
		g_slice_free (Block6Data, _data6_);
#line 1173 "SettingsDialog.c"
	}
}


static void __lambda22_ (Block6Data* _data6_) {
	SettingsDialog* self;
	SettingsManager* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = _data6_->self;
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = self->priv->settings;
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = gtk_switch_get_active (_data6_->headerbar_switch);
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = _tmp1_;
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_manager_set_use_header_bar (_tmp0_, _tmp2_);
#line 1193 "SettingsDialog.c"
}


static void ___lambda22__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	__lambda22_ (self);
#line 1200 "SettingsDialog.c"
}


static void settings_dialog_setup_csd_settings_widgets (SettingsDialog* self, GtkGrid* grid, gint* row) {
	Block6Data* _data6_;
	GtkLabel* headerbar_lbl = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkSwitch* _tmp4_ = NULL;
	SettingsManager* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	GtkGrid* _tmp8_ = NULL;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (self != NULL);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_return_if_fail (grid != NULL);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data6_->_ref_count_ = 1;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data6_->self = g_object_ref (self);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp0_ = _ ("Use a header bar");
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp1_ = g_strconcat (_tmp0_, ":", NULL);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp2_ = _tmp1_;
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (_tmp2_);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp3_);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (headerbar_lbl);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	headerbar_lbl = _tmp3_;
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_free0 (_tmp2_);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp4_ = (GtkSwitch*) gtk_switch_new ();
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (_data6_->headerbar_switch);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data6_->headerbar_switch = _tmp4_;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp5_ = self->priv->settings;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp6_ = settings_manager_get_use_header_bar (_tmp5_);
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp7_ = _tmp6_;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	gtk_switch_set_active (_data6_->headerbar_switch, _tmp7_);
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_signal_connect_data ((GObject*) _data6_->headerbar_switch, "notify::active", (GCallback) ___lambda22__g_object_notify, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 231 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_tmp8_ = grid;
#line 231 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_add_option (self, _tmp8_, (GtkWidget*) headerbar_lbl, (GtkWidget*) _data6_->headerbar_switch, row);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (headerbar_lbl);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	block6_data_unref (_data6_);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_data6_ = NULL;
#line 1270 "SettingsDialog.c"
}


static void settings_dialog_class_init (SettingsDialogClass * klass) {
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	settings_dialog_parent_class = g_type_class_peek_parent (klass);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	g_type_class_add_private (klass, sizeof (SettingsDialogPrivate));
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = settings_dialog_finalize;
#line 1281 "SettingsDialog.c"
}


static void settings_dialog_instance_init (SettingsDialog * self) {
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self->priv = SETTINGS_DIALOG_GET_PRIVATE (self);
#line 1288 "SettingsDialog.c"
}


static void settings_dialog_finalize (GObject* obj) {
	SettingsDialog * self;
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SETTINGS_DIALOG, SettingsDialog);
#line 22 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_settings_manager_unref0 (self->priv->settings);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	_g_object_unref0 (self->priv->main_layout);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/SettingsDialog.vala"
	G_OBJECT_CLASS (settings_dialog_parent_class)->finalize (obj);
#line 1302 "SettingsDialog.c"
}


/**
 * A dialog for changing the application's settings.
 */
GType settings_dialog_get_type (void) {
	static volatile gsize settings_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&settings_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (SettingsDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) settings_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SettingsDialog), 0, (GInstanceInitFunc) settings_dialog_instance_init, NULL };
		GType settings_dialog_type_id;
		settings_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "SettingsDialog", &g_define_type_info, 0);
		g_once_init_leave (&settings_dialog_type_id__volatile, settings_dialog_type_id);
	}
	return settings_dialog_type_id__volatile;
}



