/* TaskList.c generated by valac 0.32.1, the Vala compiler
 * generated from TaskList.vala, do not modify */

/* Copyright 2014-2016 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <pango/pango.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>


#define TYPE_TASK_LIST (task_list_get_type ())
#define TASK_LIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_LIST, TaskList))
#define TASK_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_LIST, TaskListClass))
#define IS_TASK_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_LIST))
#define IS_TASK_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_LIST))
#define TASK_LIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_LIST, TaskListClass))

typedef struct _TaskList TaskList;
typedef struct _TaskListClass TaskListClass;
typedef struct _TaskListPrivate TaskListPrivate;

#define TYPE_TASK_STORE (task_store_get_type ())
#define TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_STORE, TaskStore))
#define TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_STORE, TaskStoreClass))
#define IS_TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_STORE))
#define IS_TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_STORE))
#define TASK_STORE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_STORE, TaskStoreClass))

typedef struct _TaskStore TaskStore;
typedef struct _TaskStoreClass TaskStoreClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_COLUMNS (columns_get_type ())
typedef struct _TaskStorePrivate TaskStorePrivate;

#define TYPE_TODO_TASK (todo_task_get_type ())
#define TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TODO_TASK, TodoTask))
#define TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TODO_TASK, TodoTaskClass))
#define IS_TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TODO_TASK))
#define IS_TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TODO_TASK))
#define TODO_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TODO_TASK, TodoTaskClass))

typedef struct _TodoTask TodoTask;
typedef struct _TodoTaskClass TodoTaskClass;
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _TaskList {
	GtkGrid parent_instance;
	TaskListPrivate * priv;
	GtkTreeView* task_view;
};

struct _TaskListClass {
	GtkGridClass parent_class;
};

struct _TaskListPrivate {
	GtkScrolledWindow* scroll_view;
	GtkGrid* add_new_grid;
	GtkEntry* add_new_txt;
	TaskStore* model;
};

typedef enum  {
	COLUMNS_TOGGLE,
	COLUMNS_TEXT,
	COLUMNS_DRAGHANDLE,
	COLUMNS_N_COLUMNS
} Columns;

struct _TaskStore {
	GtkListStore parent_instance;
	TaskStorePrivate * priv;
	gboolean active_task_invalid;
	gboolean done_by_default;
	TodoTask* active_task;
};

struct _TaskStoreClass {
	GtkListStoreClass parent_class;
};


static gpointer task_list_parent_class = NULL;

GType task_list_get_type (void) G_GNUC_CONST;
GType task_store_get_type (void) G_GNUC_CONST;
#define TASK_LIST_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_TASK_LIST, TaskListPrivate))
enum  {
	TASK_LIST_DUMMY_PROPERTY
};
TaskList* task_list_new (TaskStore* model, gboolean add_new);
TaskList* task_list_construct (GType object_type, TaskStore* model, gboolean add_new);
static void task_list_setup_task_view (TaskList* self);
static void task_list_setup_add_new (TaskList* self);
GType columns_get_type (void) G_GNUC_CONST;
GType todo_task_get_type (void) G_GNUC_CONST;
static void task_list_toggle_cell_toggled (TaskList* self, const gchar* path);
static void _task_list_toggle_cell_toggled_gtk_cell_renderer_toggle_toggled (GtkCellRendererToggle* _sender, const gchar* path, gpointer self);
static void task_list_text_cell_edited (TaskList* self, const gchar* path, const gchar* edited_text);
static void _task_list_text_cell_edited_gtk_cell_renderer_text_edited (GtkCellRendererText* _sender, const gchar* path, const gchar* new_text, gpointer self);
void task_store_edit_text (TaskStore* self, GtkTreeIter* iter, const gchar* text);
static void __lambda6_ (TaskList* self, GtkEntryIconPosition pos, GdkEvent* event);
static void ___lambda6__gtk_entry_icon_press (GtkEntry* _sender, GtkEntryIconPosition p0, GdkEvent* p1, gpointer self);
static void __lambda7_ (TaskList* self, GtkEntry* source);
static void ___lambda7__gtk_entry_activate (GtkEntry* _sender, gpointer self);
static void task_list_finalize (GObject* obj);


/** 
     * Constructor of the TaskList class.
     * @param add_new whether or not to show a textfield for adding new entries
     */
static gpointer _g_object_ref0 (gpointer self) {
#line 42 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	return self ? g_object_ref (self) : NULL;
#line 139 "TaskList.c"
}


TaskList* task_list_construct (GType object_type, TaskStore* model, gboolean add_new) {
	TaskList * self = NULL;
	TaskStore* _tmp0_ = NULL;
	TaskStore* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_val_if_fail (model != NULL, NULL);
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self = (TaskList*) g_object_new (object_type, NULL);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 42 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = model;
#line 42 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 42 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->model);
#line 42 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self->priv->model = _tmp1_;
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	task_list_setup_task_view (self);
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp2_ = add_new;
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	if (_tmp2_) {
#line 47 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		task_list_setup_add_new (self);
#line 172 "TaskList.c"
	}
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	return self;
#line 176 "TaskList.c"
}


TaskList* task_list_new (TaskStore* model, gboolean add_new) {
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	return task_list_construct (TYPE_TASK_LIST, model, add_new);
#line 183 "TaskList.c"
}


/** 
     * Configures the list to display the task entries.
     */
static void _task_list_toggle_cell_toggled_gtk_cell_renderer_toggle_toggled (GtkCellRendererToggle* _sender, const gchar* path, gpointer self) {
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	task_list_toggle_cell_toggled ((TaskList*) self, path);
#line 193 "TaskList.c"
}


static void _task_list_text_cell_edited_gtk_cell_renderer_text_edited (GtkCellRendererText* _sender, const gchar* path, const gchar* new_text, gpointer self) {
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	task_list_text_cell_edited ((TaskList*) self, path, new_text);
#line 200 "TaskList.c"
}


static void task_list_setup_task_view (TaskList* self) {
	GtkScrolledWindow* _tmp0_ = NULL;
	GtkTreeView* _tmp1_ = NULL;
	GtkScrolledWindow* _tmp2_ = NULL;
	GtkTreeView* _tmp3_ = NULL;
	TaskStore* _tmp4_ = NULL;
	GtkTreeView* _tmp5_ = NULL;
	GtkTreeView* _tmp6_ = NULL;
	GtkTreeView* _tmp7_ = NULL;
	GtkTreeView* _tmp8_ = NULL;
	GtkCellRendererToggle* toggle_cell = NULL;
	GtkCellRendererToggle* _tmp9_ = NULL;
	GtkTreeView* _tmp10_ = NULL;
	GtkCellRendererToggle* _tmp11_ = NULL;
	GtkCellRendererText* text_cell = NULL;
	GtkCellRendererText* _tmp12_ = NULL;
	GtkCellRendererText* _tmp13_ = NULL;
	GtkCellRendererText* _tmp14_ = NULL;
	GtkCellRendererText* _tmp15_ = NULL;
	GtkCellRendererText* _tmp16_ = NULL;
	GtkTreeViewColumn* text_column = NULL;
	GtkCellRendererText* _tmp17_ = NULL;
	GtkTreeViewColumn* _tmp18_ = NULL;
	GtkTreeViewColumn* _tmp19_ = NULL;
	GtkTreeView* _tmp20_ = NULL;
	GtkTreeViewColumn* _tmp21_ = NULL;
	TaskStore* _tmp22_ = NULL;
	gboolean _tmp23_ = FALSE;
	GtkCellRendererPixbuf* drag_handler = NULL;
	GtkCellRendererPixbuf* _tmp25_ = NULL;
	GtkTreeViewColumn* drag_column = NULL;
	GtkTreeViewColumn* _tmp26_ = NULL;
	GtkTreeView* _tmp27_ = NULL;
	GtkCellRendererToggle* _tmp28_ = NULL;
	GtkCellRendererText* _tmp29_ = NULL;
	GtkScrolledWindow* _tmp30_ = NULL;
	GtkTreeView* _tmp31_ = NULL;
	GtkScrolledWindow* _tmp32_ = NULL;
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (self != NULL);
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp0_);
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->scroll_view);
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self->priv->scroll_view = _tmp0_;
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp1_ = (GtkTreeView*) gtk_tree_view_new ();
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp1_);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->task_view);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self->task_view = _tmp1_;
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp2_ = self->priv->scroll_view;
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set ((GtkWidget*) _tmp2_, "expand", TRUE, NULL);
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp3_ = self->task_view;
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp4_ = self->priv->model;
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_set_model (_tmp3_, (GtkTreeModel*) _tmp4_);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp5_ = self->task_view;
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_set_headers_visible (_tmp5_, FALSE);
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp6_ = self->task_view;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set ((GtkWidget*) _tmp6_, "expand", TRUE, NULL);
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp7_ = self->task_view;
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_set_reorderable (_tmp7_, TRUE);
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp8_ = self->task_view;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_scrollable_set_vscroll_policy ((GtkScrollable*) _tmp8_, GTK_SCROLL_NATURAL);
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp9_ = (GtkCellRendererToggle*) gtk_cell_renderer_toggle_new ();
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp9_);
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	toggle_cell = _tmp9_;
#line 71 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp10_ = self->task_view;
#line 71 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp11_ = toggle_cell;
#line 71 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp10_, -1, "Done", (GtkCellRenderer*) _tmp11_, "active", COLUMNS_TOGGLE, NULL);
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp12_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp12_);
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	text_cell = _tmp12_;
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp13_ = text_cell;
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set (_tmp13_, "editable", TRUE, NULL);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp14_ = text_cell;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set (_tmp14_, "wrap-mode", PANGO_WRAP_WORD_CHAR, NULL);
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp15_ = text_cell;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set (_tmp15_, "wrap-width", 220, NULL);
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp16_ = text_cell;
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set ((GtkCellRenderer*) _tmp16_, "width", 220, NULL);
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp17_ = text_cell;
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp18_ = gtk_tree_view_column_new_with_attributes ("Task", (GtkCellRenderer*) _tmp17_, "text", COLUMNS_TEXT, NULL);
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp18_);
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	text_column = _tmp18_;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp19_ = text_column;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_column_set_expand (_tmp19_, TRUE);
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp20_ = self->task_view;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp21_ = text_column;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_insert_column (_tmp20_, _tmp21_, -1);
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp22_ = self->priv->model;
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp23_ = _tmp22_->done_by_default;
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	if (_tmp23_) {
#line 344 "TaskList.c"
		GtkCellRendererText* _tmp24_ = NULL;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		_tmp24_ = text_cell;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		g_object_set (_tmp24_, "strikethrough", TRUE, NULL);
#line 350 "TaskList.c"
	}
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp25_ = (GtkCellRendererPixbuf*) gtk_cell_renderer_pixbuf_new ();
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp25_);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	drag_handler = _tmp25_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set ((GtkCellRenderer*) drag_handler, "xpad", (guint) 5, NULL);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp26_ = gtk_tree_view_column_new_with_attributes ("Drag", (GtkCellRenderer*) drag_handler, "icon_name", COLUMNS_DRAGHANDLE, NULL);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp26_);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	drag_column = _tmp26_;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_column_set_expand (drag_column, FALSE);
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp27_ = self->task_view;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_view_insert_column (_tmp27_, drag_column, -1);
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp28_ = toggle_cell;
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_connect_object (_tmp28_, "toggled", (GCallback) _task_list_toggle_cell_toggled_gtk_cell_renderer_toggle_toggled, self, 0);
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp29_ = text_cell;
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_connect_object (_tmp29_, "edited", (GCallback) _task_list_text_cell_edited_gtk_cell_renderer_text_edited, self, 0);
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp30_ = self->priv->scroll_view;
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp31_ = self->task_view;
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_container_add ((GtkContainer*) _tmp30_, (GtkWidget*) _tmp31_);
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp32_ = self->priv->scroll_view;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp32_);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (drag_column);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (drag_handler);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (text_column);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (text_cell);
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (toggle_cell);
#line 400 "TaskList.c"
}


static void task_list_toggle_cell_toggled (TaskList* self, const gchar* path) {
	GtkTreePath* tree_path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreeIter iter = {0};
	TaskStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	TaskStore* _tmp4_ = NULL;
	GtkTreeIter _tmp5_ = {0};
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (self != NULL);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (path != NULL);
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = path;
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	tree_path = _tmp1_;
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp2_ = self->priv->model;
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp2_, &_tmp3_, tree_path);
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	iter = _tmp3_;
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp4_ = self->priv->model;
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp5_ = iter;
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_emit_by_name (_tmp4_, "task-done-changed", &_tmp5_);
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_gtk_tree_path_free0 (tree_path);
#line 437 "TaskList.c"
}


static void task_list_text_cell_edited (TaskList* self, const gchar* path, const gchar* edited_text) {
	GtkTreeIter iter = {0};
	TaskStore* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkTreePath* _tmp2_ = NULL;
	GtkTreePath* _tmp3_ = NULL;
	GtkTreeIter _tmp4_ = {0};
	TaskStore* _tmp5_ = NULL;
	GtkTreeIter _tmp6_ = {0};
	const gchar* _tmp7_ = NULL;
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (self != NULL);
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (path != NULL);
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (edited_text != NULL);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = self->priv->model;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp1_ = path;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp2_ = gtk_tree_path_new_from_string (_tmp1_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp3_ = _tmp2_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp0_, &_tmp4_, _tmp3_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	iter = _tmp4_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_gtk_tree_path_free0 (_tmp3_);
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp5_ = self->priv->model;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp6_ = iter;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp7_ = edited_text;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	task_store_edit_text (_tmp5_, &_tmp6_, _tmp7_);
#line 479 "TaskList.c"
}


/**
     * Configures the container with the "add new task" text entry.
     */
static void __lambda6_ (TaskList* self, GtkEntryIconPosition pos, GdkEvent* event) {
	GtkEntryIconPosition _tmp0_ = 0;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (event != NULL);
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = pos;
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	if (_tmp0_ == GTK_ENTRY_ICON_SECONDARY) {
#line 494 "TaskList.c"
		GtkEntry* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		GtkEntry* _tmp4_ = NULL;
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		_tmp1_ = self->priv->add_new_txt;
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		_tmp3_ = _tmp2_;
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		g_signal_emit_by_name (self, "add-new-task", _tmp3_);
#line 149 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		_tmp4_ = self->priv->add_new_txt;
#line 149 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
		gtk_entry_set_text (_tmp4_, "");
#line 511 "TaskList.c"
	}
}


static void ___lambda6__gtk_entry_icon_press (GtkEntry* _sender, GtkEntryIconPosition p0, GdkEvent* p1, gpointer self) {
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	__lambda6_ ((TaskList*) self, p0, p1);
#line 519 "TaskList.c"
}


static void __lambda7_ (TaskList* self, GtkEntry* source) {
	GtkEntry* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GtkEntry* _tmp3_ = NULL;
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (source != NULL);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = self->priv->add_new_txt;
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp2_ = _tmp1_;
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_emit_by_name (self, "add-new-task", _tmp2_);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp3_ = self->priv->add_new_txt;
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_entry_set_text (_tmp3_, "");
#line 542 "TaskList.c"
}


static void ___lambda7__gtk_entry_activate (GtkEntry* _sender, gpointer self) {
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	__lambda7_ ((TaskList*) self, _sender);
#line 549 "TaskList.c"
}


static void task_list_setup_add_new (TaskList* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkEntry* _tmp2_ = NULL;
	GtkEntry* _tmp3_ = NULL;
	GtkEntry* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	GtkEntry* _tmp8_ = NULL;
	GtkEntry* _tmp9_ = NULL;
	GtkEntry* _tmp10_ = NULL;
	GtkEntry* _tmp11_ = NULL;
	GtkGrid* _tmp12_ = NULL;
	GtkEntry* _tmp13_ = NULL;
	GtkGrid* _tmp14_ = NULL;
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_return_if_fail (self != NULL);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp0_);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->add_new_grid);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self->priv->add_new_grid = _tmp0_;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp1_ = self->priv->add_new_grid;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp1_, GTK_ORIENTATION_HORIZONTAL);
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp2_ = (GtkEntry*) gtk_entry_new ();
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_ref_sink (_tmp2_);
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->add_new_txt);
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self->priv->add_new_txt = _tmp2_;
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp3_ = self->priv->add_new_txt;
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp3_, TRUE);
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp4_ = self->priv->add_new_txt;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp5_ = _ ("Add new task");
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp6_ = g_strconcat (_tmp5_, "...", NULL);
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp7_ = _tmp6_;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_entry_set_placeholder_text (_tmp4_, _tmp7_);
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_free0 (_tmp7_);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp8_ = self->priv->add_new_txt;
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_object_set ((GtkWidget*) _tmp8_, "margin", 5, NULL);
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp9_ = self->priv->add_new_txt;
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_entry_set_icon_from_icon_name (_tmp9_, GTK_ENTRY_ICON_SECONDARY, "list-add-symbolic");
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp10_ = self->priv->add_new_txt;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_connect_object (_tmp10_, "icon-press", (GCallback) ___lambda6__gtk_entry_icon_press, self, 0);
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp11_ = self->priv->add_new_txt;
#line 153 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_connect_object (_tmp11_, "activate", (GCallback) ___lambda7__gtk_entry_activate, self, 0);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp12_ = self->priv->add_new_grid;
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp13_ = self->priv->add_new_txt;
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_tmp14_ = self->priv->add_new_grid;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp14_);
#line 633 "TaskList.c"
}


static void task_list_class_init (TaskListClass * klass) {
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	task_list_parent_class = g_type_class_peek_parent (klass);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_type_class_add_private (klass, sizeof (TaskListPrivate));
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	G_OBJECT_CLASS (klass)->finalize = task_list_finalize;
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	g_signal_new ("add_new_task", TYPE_TASK_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 646 "TaskList.c"
}


static void task_list_instance_init (TaskList * self) {
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self->priv = TASK_LIST_GET_PRIVATE (self);
#line 653 "TaskList.c"
}


static void task_list_finalize (GObject* obj) {
	TaskList * self;
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TASK_LIST, TaskList);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->scroll_view);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->task_view);
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->add_new_grid);
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->add_new_txt);
#line 29 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	_g_object_unref0 (self->priv->model);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TaskList.vala"
	G_OBJECT_CLASS (task_list_parent_class)->finalize (obj);
#line 673 "TaskList.c"
}


/**
 * A widget for displaying and manipulating task lists.
 */
GType task_list_get_type (void) {
	static volatile gsize task_list_type_id__volatile = 0;
	if (g_once_init_enter (&task_list_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (TaskListClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) task_list_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TaskList), 0, (GInstanceInitFunc) task_list_instance_init, NULL };
		GType task_list_type_id;
		task_list_type_id = g_type_register_static (gtk_grid_get_type (), "TaskList", &g_define_type_info, 0);
		g_once_init_leave (&task_list_type_id__volatile, task_list_type_id);
	}
	return task_list_type_id__volatile;
}



