/* TimerView.c generated by valac 0.32.1, the Vala compiler
 * generated from TimerView.vala, do not modify */

/* Copyright 2014-2016 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the 
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define TYPE_TIMER_VIEW (timer_view_get_type ())
#define TIMER_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TIMER_VIEW, TimerView))
#define TIMER_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TIMER_VIEW, TimerViewClass))
#define IS_TIMER_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TIMER_VIEW))
#define IS_TIMER_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TIMER_VIEW))
#define TIMER_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TIMER_VIEW, TimerViewClass))

typedef struct _TimerView TimerView;
typedef struct _TimerViewClass TimerViewClass;
typedef struct _TimerViewPrivate TimerViewPrivate;

#define TYPE_TASK_TIMER (task_timer_get_type ())
#define TASK_TIMER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_TIMER, TaskTimer))
#define TASK_TIMER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_TIMER, TaskTimerClass))
#define IS_TASK_TIMER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_TIMER))
#define IS_TASK_TIMER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_TIMER))
#define TASK_TIMER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_TIMER, TaskTimerClass))

typedef struct _TaskTimer TaskTimer;
typedef struct _TaskTimerClass TaskTimerClass;
#define _task_timer_unref0(var) ((var == NULL) ? NULL : (var = (task_timer_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_TODO_TASK (todo_task_get_type ())
#define TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TODO_TASK, TodoTask))
#define TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TODO_TASK, TodoTaskClass))
#define IS_TODO_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TODO_TASK))
#define IS_TODO_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TODO_TASK))
#define TODO_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TODO_TASK, TodoTaskClass))

typedef struct _TodoTask TodoTask;
typedef struct _TodoTaskClass TodoTaskClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _Block2Data Block2Data;

struct _TimerView {
	GtkGrid parent_instance;
	TimerViewPrivate * priv;
	GtkButton* done_btn;
};

struct _TimerViewClass {
	GtkGridClass parent_class;
};

struct _TimerViewPrivate {
	TaskTimer* timer;
	GtkProgressBar* progress;
	GtkLabel* task_status_lbl;
	GtkLabel* task_description_lbl;
	GtkGrid* timer_grid;
	GtkSpinButton* h_spin;
	GtkSpinButton* m_spin;
	GtkSpinButton* s_spin;
	GtkGrid* action_grid;
	GtkGrid* action_timer_grid;
	GtkGrid* action_task_grid;
	GtkButton* run_btn;
	GtkButton* skip_btn;
};

struct _Block2Data {
	int _ref_count_;
	TimerView* self;
	GtkSpinButton* spin;
};


static gpointer timer_view_parent_class = NULL;

GType timer_view_get_type (void) G_GNUC_CONST;
gpointer task_timer_ref (gpointer instance);
void task_timer_unref (gpointer instance);
GParamSpec* param_spec_task_timer (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_task_timer (GValue* value, gpointer v_object);
void value_take_task_timer (GValue* value, gpointer v_object);
gpointer value_get_task_timer (const GValue* value);
GType task_timer_get_type (void) G_GNUC_CONST;
#define TIMER_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_TIMER_VIEW, TimerViewPrivate))
enum  {
	TIMER_VIEW_DUMMY_PROPERTY
};
TimerView* timer_view_new (TaskTimer* timer);
TimerView* timer_view_construct (GType object_type, TaskTimer* timer);
static void timer_view_setup_task_widgets (TimerView* self);
static void timer_view_setup_timer_container (TimerView* self);
static void timer_view_setup_action_container (TimerView* self);
static void timer_view_setup_progress_bar (TimerView* self);
void timer_view_set_running (TimerView* self, gboolean running);
gboolean task_timer_get_running (TaskTimer* self);
void timer_view_set_time (TimerView* self, GDateTime* time);
static void _timer_view_set_time_task_timer_timer_updated (TaskTimer* _sender, GDateTime* remaining_duration, gpointer self);
static void _timer_view_set_running_task_timer_timer_running_changed (TaskTimer* _sender, gboolean running, gpointer self);
GType todo_task_get_type (void) G_GNUC_CONST;
static void timer_view_timer_active_task_changed (TimerView* self, TodoTask* task, gboolean break_active);
static void _timer_view_timer_active_task_changed_task_timer_active_task_changed (TaskTimer* _sender, TodoTask* task, gboolean break_active, gpointer self);
static void __lambda16_ (TimerView* self, TaskTimer* s, gdouble p);
static void ___lambda16__task_timer_timer_updated_relative (TaskTimer* _sender, gdouble progress, gpointer self);
static void timer_view_update_title (TimerView* self, TodoTask* task);
static void _timer_view_update_title_task_timer_active_task_title_changed (TaskTimer* _sender, TodoTask* task, gpointer self);
void task_timer_update (TaskTimer* self);
void timer_view_show_no_task (TimerView* self);
const gchar* todo_task_get_title (TodoTask* self);
gboolean task_timer_get_break_active (TaskTimer* self);
static void timer_view_on_run_btn_clicked (TimerView* self);
void task_timer_stop (TaskTimer* self);
void task_timer_start (TaskTimer* self);
GDateTime* timer_view_get_timer_values (TimerView* self);
static void timer_view_use_leading_zeros (TimerView* self, GtkSpinButton* spin);
static void __lambda11_ (TimerView* self);
void task_timer_set_remaining_duration (TaskTimer* self, GDateTime* value);
static void ___lambda11__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda12_ (TimerView* self);
static void ___lambda12__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static void __lambda13_ (TimerView* self);
static void ___lambda13__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static gboolean __lambda10_ (Block2Data* _data2_, GtkSpinButton* s);
static gboolean ___lambda10__gtk_spin_button_output (GtkSpinButton* _sender, gpointer self);
static void __lambda14_ (TimerView* self, GtkButton* e);
void task_timer_end_iteration (TaskTimer* self);
static void ___lambda14__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda15_ (TimerView* self, GtkButton* e);
void task_timer_set_active_task_done (TaskTimer* self);
static void ___lambda15__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void _timer_view_on_run_btn_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void timer_view_finalize (GObject* obj);


static gpointer _task_timer_ref0 (gpointer self) {
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return self ? task_timer_ref (self) : NULL;
#line 166 "TimerView.c"
}


static void _timer_view_set_time_task_timer_timer_updated (TaskTimer* _sender, GDateTime* remaining_duration, gpointer self) {
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_set_time ((TimerView*) self, remaining_duration);
#line 173 "TimerView.c"
}


static void _timer_view_set_running_task_timer_timer_running_changed (TaskTimer* _sender, gboolean running, gpointer self) {
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_set_running ((TimerView*) self, running);
#line 180 "TimerView.c"
}


static void _timer_view_timer_active_task_changed_task_timer_active_task_changed (TaskTimer* _sender, TodoTask* task, gboolean break_active, gpointer self) {
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_timer_active_task_changed ((TimerView*) self, task, break_active);
#line 187 "TimerView.c"
}


static void __lambda16_ (TimerView* self, TaskTimer* s, gdouble p) {
	GtkProgressBar* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (s != NULL);
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->progress;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = p;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_progress_bar_set_fraction (_tmp0_, _tmp1_);
#line 202 "TimerView.c"
}


static void ___lambda16__task_timer_timer_updated_relative (TaskTimer* _sender, gdouble progress, gpointer self) {
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	__lambda16_ ((TimerView*) self, _sender, progress);
#line 209 "TimerView.c"
}


static void _timer_view_update_title_task_timer_active_task_title_changed (TaskTimer* _sender, TodoTask* task, gpointer self) {
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_update_title ((TimerView*) self, task);
#line 216 "TimerView.c"
}


TimerView* timer_view_construct (GType object_type, TaskTimer* timer) {
	TimerView * self = NULL;
	TaskTimer* _tmp0_ = NULL;
	TaskTimer* _tmp1_ = NULL;
	TaskTimer* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	TaskTimer* _tmp5_ = NULL;
	TaskTimer* _tmp6_ = NULL;
	TaskTimer* _tmp7_ = NULL;
	TaskTimer* _tmp8_ = NULL;
	TaskTimer* _tmp9_ = NULL;
	TaskTimer* _tmp10_ = NULL;
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_val_if_fail (timer != NULL, NULL);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self = (TimerView*) g_object_new (object_type, NULL);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = timer;
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = _task_timer_ref0 (_tmp0_);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_task_timer_unref0 (self->priv->timer);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->timer = _tmp1_;
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 47 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_setup_task_widgets (self);
#line 48 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_setup_timer_container (self);
#line 49 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_setup_action_container (self);
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_setup_progress_bar (self);
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = timer;
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = task_timer_get_running (_tmp2_);
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = _tmp3_;
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_set_running (self, _tmp4_);
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = timer;
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp5_, "timer-updated", (GCallback) _timer_view_set_time_task_timer_timer_updated, self, 0);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = timer;
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp6_, "timer-running-changed", (GCallback) _timer_view_set_running_task_timer_timer_running_changed, self, 0);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp7_ = timer;
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp7_, "active-task-changed", (GCallback) _timer_view_timer_active_task_changed_task_timer_active_task_changed, self, 0);
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp8_ = timer;
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp8_, "timer-updated-relative", (GCallback) ___lambda16__task_timer_timer_updated_relative, self, 0);
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp9_ = timer;
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp9_, "active-task-title-changed", (GCallback) _timer_view_update_title_task_timer_active_task_title_changed, self, 0);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp10_ = timer;
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	task_timer_update (_tmp10_);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return self;
#line 291 "TimerView.c"
}


TimerView* timer_view_new (TaskTimer* timer) {
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return timer_view_construct (TYPE_TIMER_VIEW, timer);
#line 298 "TimerView.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return self ? g_object_ref (self) : NULL;
#line 305 "TimerView.c"
}


static void timer_view_timer_active_task_changed (TimerView* self, TodoTask* task, gboolean break_active) {
	TodoTask* _tmp0_ = NULL;
	TodoTask* _tmp1_ = NULL;
	GtkStyleContext* style = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkStyleContext* _tmp3_ = NULL;
	GtkStyleContext* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = task;
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	if (_tmp0_ == NULL) {
#line 69 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		timer_view_show_no_task (self);
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		return;
#line 327 "TimerView.c"
	}
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = task;
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_update_title (self, _tmp1_);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = self->priv->task_description_lbl;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = gtk_widget_get_style_context ((GtkWidget*) _tmp2_);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	style = _tmp4_;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = break_active;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	if (_tmp5_) {
#line 345 "TimerView.c"
		GtkLabel* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		GtkStyleContext* _tmp10_ = NULL;
		GtkStyleContext* _tmp11_ = NULL;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp6_ = self->priv->task_status_lbl;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp7_ = _ ("Take a Break");
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp8_ = g_strconcat (_tmp7_, "!", NULL);
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp9_ = _tmp8_;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_label_set_label (_tmp6_, _tmp9_);
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_g_free0 (_tmp9_);
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp10_ = style;
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp10_, "task_active");
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp11_ = style;
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp11_, "task_break");
#line 372 "TimerView.c"
	} else {
		GtkLabel* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		GtkStyleContext* _tmp16_ = NULL;
		GtkStyleContext* _tmp17_ = NULL;
		GtkButton* _tmp18_ = NULL;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp12_ = self->priv->task_status_lbl;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp13_ = _ ("Active Task");
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp14_ = g_strconcat (_tmp13_, ":", NULL);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp15_ = _tmp14_;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_label_set_label (_tmp12_, _tmp15_);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_g_free0 (_tmp15_);
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp16_ = style;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp16_, "task_break");
#line 84 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp17_ = style;
#line 84 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp17_, "task_active");
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp18_ = self->done_btn;
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp18_, TRUE);
#line 405 "TimerView.c"
	}
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (style);
#line 409 "TimerView.c"
}


static void timer_view_update_title (TimerView* self, TodoTask* task) {
	GtkLabel* _tmp0_ = NULL;
	TodoTask* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (task != NULL);
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->task_description_lbl;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = task;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = todo_task_get_title (_tmp1_);
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = _tmp2_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_label_set_label (_tmp0_, _tmp3_);
#line 432 "TimerView.c"
}


void timer_view_set_time (TimerView* self, GDateTime* time) {
	GtkSpinButton* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	GtkSpinButton* _tmp3_ = NULL;
	GDateTime* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	GtkSpinButton* _tmp6_ = NULL;
	GDateTime* _tmp7_ = NULL;
	gint _tmp8_ = 0;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (time != NULL);
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->h_spin;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = time;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = g_date_time_get_hour (_tmp1_);
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp0_, (gdouble) _tmp2_);
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = self->priv->m_spin;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = time;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = g_date_time_get_minute (_tmp4_);
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp3_, (gdouble) _tmp5_);
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = self->priv->s_spin;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp7_ = time;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp8_ = g_date_time_get_second (_tmp7_);
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp6_, (gdouble) _tmp8_);
#line 474 "TimerView.c"
}


void timer_view_set_running (TimerView* self, gboolean running) {
	GtkButton* _tmp0_ = NULL;
	TaskTimer* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
#line 99 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->done_btn;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = self->priv->timer;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = task_timer_get_break_active (_tmp1_);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = _tmp2_;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp0_, !_tmp3_);
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = running;
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	if (_tmp4_) {
#line 500 "TimerView.c"
		GtkButton* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		GtkButton* _tmp7_ = NULL;
		GtkStyleContext* _tmp8_ = NULL;
#line 103 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp5_ = self->priv->run_btn;
#line 103 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp6_ = _ ("Pau_se");
#line 103 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_button_set_label (_tmp5_, _tmp6_);
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp7_ = self->priv->run_btn;
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp8_ = gtk_widget_get_style_context ((GtkWidget*) _tmp7_);
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp8_, "suggested-action");
#line 517 "TimerView.c"
	} else {
		GtkButton* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		GtkButton* _tmp11_ = NULL;
		GtkStyleContext* _tmp12_ = NULL;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp9_ = self->priv->run_btn;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp10_ = _ ("_Start");
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_button_set_label (_tmp9_, _tmp10_);
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp11_ = self->priv->run_btn;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp12_ = gtk_widget_get_style_context ((GtkWidget*) _tmp11_);
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp12_, "suggested-action");
#line 535 "TimerView.c"
	}
}


static void timer_view_on_run_btn_clicked (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = task_timer_get_running (_tmp0_);
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	if (_tmp2_) {
#line 554 "TimerView.c"
		TaskTimer* _tmp3_ = NULL;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp3_ = self->priv->timer;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		task_timer_stop (_tmp3_);
#line 560 "TimerView.c"
	} else {
		TaskTimer* _tmp4_ = NULL;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp4_ = self->priv->timer;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		task_timer_start (_tmp4_);
#line 567 "TimerView.c"
	}
}


GDateTime* timer_view_get_timer_values (TimerView* self) {
	GDateTime* result = NULL;
	GDateTime* duration = NULL;
	GDateTime* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GtkSpinButton* _tmp2_ = NULL;
	gdouble _tmp3_ = 0.0;
	gdouble _tmp4_ = 0.0;
	GDateTime* _tmp5_ = NULL;
	GDateTime* _tmp6_ = NULL;
	GtkSpinButton* _tmp7_ = NULL;
	gdouble _tmp8_ = 0.0;
	gdouble _tmp9_ = 0.0;
	GDateTime* _tmp10_ = NULL;
	GDateTime* _tmp11_ = NULL;
	GtkSpinButton* _tmp12_ = NULL;
	gdouble _tmp13_ = 0.0;
	gdouble _tmp14_ = 0.0;
	GDateTime* _tmp15_ = NULL;
#line 120 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = g_date_time_new_from_unix_utc ((gint64) 0);
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	duration = _tmp0_;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = duration;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = self->priv->h_spin;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = gtk_spin_button_get_value (_tmp2_);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = _tmp3_;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = g_date_time_add_hours (_tmp1_, (gint) _tmp4_);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	duration = _tmp5_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = duration;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp7_ = self->priv->m_spin;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp8_ = gtk_spin_button_get_value (_tmp7_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp9_ = _tmp8_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp10_ = g_date_time_add_minutes (_tmp6_, (gint) _tmp9_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	duration = _tmp10_;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp11_ = duration;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp12_ = self->priv->s_spin;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp13_ = gtk_spin_button_get_value (_tmp12_);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp14_ = _tmp13_;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp15_ = g_date_time_add_seconds (_tmp11_, _tmp14_);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	duration = _tmp15_;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	result = duration;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return result;
#line 643 "TimerView.c"
}


/**
     * Configures the widgets that indicate the active task and its progress
     */
static void timer_view_setup_task_widgets (TimerView* self) {
	const gchar* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkLabel* _tmp5_ = NULL;
	GtkStyleContext* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkLabel* _tmp10_ = NULL;
	GtkLabel* _tmp11_ = NULL;
	GtkLabel* _tmp12_ = NULL;
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = _ ("Inactive");
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new (_tmp0_);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_status_lbl);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->task_status_lbl = _tmp1_;
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = _ ("No task has been selected");
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (_tmp2_);
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_description_lbl);
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->task_description_lbl = _tmp3_;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = self->priv->task_status_lbl;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp4_, 30);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = self->priv->task_status_lbl;
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = gtk_widget_get_style_context ((GtkWidget*) _tmp5_);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_style_context_add_class (_tmp6_, "task_status");
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp7_ = self->priv->task_description_lbl;
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp7_, "margin", 20, NULL);
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp8_ = self->priv->task_description_lbl;
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp8_, 30);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp9_ = self->priv->task_description_lbl;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_label_set_lines (_tmp9_, 3);
#line 144 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp10_ = self->priv->task_description_lbl;
#line 144 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set (_tmp10_, "wrap", TRUE, NULL);
#line 147 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp11_ = self->priv->task_status_lbl;
#line 147 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp11_);
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp12_ = self->priv->task_description_lbl;
#line 148 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp12_);
#line 720 "TimerView.c"
}


/**
     * Configures the container with the timer elements.
     */
static void __lambda11_ (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GDateTime* _tmp2_ = NULL;
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 741 "TimerView.c"
}


static void ___lambda11__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 177 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	__lambda11_ ((TimerView*) self);
#line 748 "TimerView.c"
}


static void __lambda12_ (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GDateTime* _tmp2_ = NULL;
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 766 "TimerView.c"
}


static void ___lambda12__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	__lambda12_ ((TimerView*) self);
#line 773 "TimerView.c"
}


static void __lambda13_ (TimerView* self) {
	TaskTimer* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
	GDateTime* _tmp2_ = NULL;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 184 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 791 "TimerView.c"
}


static void ___lambda13__gtk_spin_button_value_changed (GtkSpinButton* _sender, gpointer self) {
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	__lambda13_ ((TimerView*) self);
#line 798 "TimerView.c"
}


static void timer_view_setup_timer_container (TimerView* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	GtkSpinButton* _tmp2_ = NULL;
	GtkSpinButton* _tmp3_ = NULL;
	GtkGrid* _tmp4_ = NULL;
	GtkGrid* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkStyleContext* _tmp9_ = NULL;
	GtkSpinButton* _tmp10_ = NULL;
	GtkSpinButton* _tmp11_ = NULL;
	GtkSpinButton* _tmp12_ = NULL;
	GtkSpinButton* _tmp13_ = NULL;
	GtkSpinButton* _tmp14_ = NULL;
	GtkSpinButton* _tmp15_ = NULL;
	GtkSpinButton* _tmp16_ = NULL;
	GtkSpinButton* _tmp17_ = NULL;
	GtkSpinButton* _tmp18_ = NULL;
	GtkGrid* _tmp19_ = NULL;
	GtkSpinButton* _tmp20_ = NULL;
	GtkGrid* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkGrid* _tmp24_ = NULL;
	GtkSpinButton* _tmp25_ = NULL;
	GtkGrid* _tmp26_ = NULL;
	GtkLabel* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
	GtkSpinButton* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->timer_grid);
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->timer_grid = _tmp0_;
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->h_spin);
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->h_spin = _tmp1_;
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp2_);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->m_spin);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->m_spin = _tmp2_;
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->s_spin);
#line 159 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->s_spin = _tmp3_;
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = self->priv->timer_grid;
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp4_, "expand", TRUE, NULL);
#line 163 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = self->priv->timer_grid;
#line 163 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp5_, GTK_ORIENTATION_HORIZONTAL);
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = self->priv->timer_grid;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_CENTER);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp7_ = self->priv->timer_grid;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_CENTER);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp8_ = self->priv->timer_grid;
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp9_ = gtk_widget_get_style_context ((GtkWidget*) _tmp8_);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_style_context_add_class (_tmp9_, "timerview");
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp10_ = self->priv->h_spin;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp10_, GTK_ORIENTATION_VERTICAL);
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp11_ = self->priv->m_spin;
#line 169 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp11_, GTK_ORIENTATION_VERTICAL);
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp12_ = self->priv->s_spin;
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp12_, GTK_ORIENTATION_VERTICAL);
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp13_ = self->priv->h_spin;
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp13_);
#line 173 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp14_ = self->priv->m_spin;
#line 173 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp14_);
#line 174 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp15_ = self->priv->s_spin;
#line 174 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp15_);
#line 177 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp16_ = self->priv->h_spin;
#line 177 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp16_, "value-changed", (GCallback) ___lambda11__gtk_spin_button_value_changed, self, 0);
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp17_ = self->priv->m_spin;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp17_, "value-changed", (GCallback) ___lambda12__gtk_spin_button_value_changed, self, 0);
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp18_ = self->priv->s_spin;
#line 183 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp18_, "value-changed", (GCallback) ___lambda13__gtk_spin_button_value_changed, self, 0);
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp19_ = self->priv->timer_grid;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp20_ = self->priv->h_spin;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp19_, (GtkWidget*) _tmp20_);
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp21_ = self->priv->timer_grid;
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp22_ = (GtkLabel*) gtk_label_new (" : ");
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp22_);
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp23_ = _tmp22_;
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp23_);
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (_tmp23_);
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp24_ = self->priv->timer_grid;
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp25_ = self->priv->m_spin;
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp26_ = self->priv->timer_grid;
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (" : ");
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp27_);
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp28_ = _tmp27_;
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp26_, (GtkWidget*) _tmp28_);
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (_tmp28_);
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp29_ = self->priv->timer_grid;
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp30_ = self->priv->s_spin;
#line 192 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp31_ = self->priv->timer_grid;
#line 193 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp31_);
#line 973 "TimerView.c"
}


/**
     * Makes the passed Gtk.SpinButton fill the display with a leading zero.
     */
static Block2Data* block2_data_ref (Block2Data* _data2_) {
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return _data2_;
#line 985 "TimerView.c"
}


static void block2_data_unref (void * _userdata_) {
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 994 "TimerView.c"
		TimerView* self;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		self = _data2_->self;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_g_object_unref0 (_data2_->spin);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_g_object_unref0 (self);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		g_slice_free (Block2Data, _data2_);
#line 1004 "TimerView.c"
	}
}


static gboolean __lambda10_ (Block2Data* _data2_, GtkSpinButton* s) {
	TimerView* self;
	gboolean result = FALSE;
	gint val = 0;
	GtkSpinButton* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self = _data2_->self;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_val_if_fail (s != NULL, FALSE);
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = _data2_->spin;
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = gtk_spin_button_get_value_as_int (_tmp0_);
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	val = _tmp1_;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = val;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	if (_tmp2_ < 10) {
#line 1030 "TimerView.c"
		GtkSpinButton* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp3_ = _data2_->spin;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp4_ = val;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp5_ = g_strdup_printf ("%i", _tmp4_);
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp6_ = _tmp5_;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp7_ = g_strconcat ("0", _tmp6_, NULL);
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_tmp8_ = _tmp7_;
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		gtk_entry_set_text ((GtkEntry*) _tmp3_, _tmp8_);
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_g_free0 (_tmp8_);
#line 204 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		_g_free0 (_tmp6_);
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		result = TRUE;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
		return result;
#line 1059 "TimerView.c"
	}
#line 207 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	result = FALSE;
#line 207 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return result;
#line 1065 "TimerView.c"
}


static gboolean ___lambda10__gtk_spin_button_output (GtkSpinButton* _sender, gpointer self) {
	gboolean result;
	result = __lambda10_ (self, _sender);
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	return result;
#line 1074 "TimerView.c"
}


static void timer_view_use_leading_zeros (TimerView* self, GtkSpinButton* spin) {
	Block2Data* _data2_;
	GtkSpinButton* _tmp0_ = NULL;
	GtkSpinButton* _tmp1_ = NULL;
	GtkSpinButton* _tmp2_ = NULL;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (spin != NULL);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_data2_->_ref_count_ = 1;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_data2_->self = g_object_ref (self);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = spin;
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (_data2_->spin);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_data2_->spin = _tmp1_;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = _data2_->spin;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_data (_tmp2_, "output", (GCallback) ___lambda10__gtk_spin_button_output, block2_data_ref (_data2_), (GClosureNotify) block2_data_unref, 0);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	block2_data_unref (_data2_);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_data2_ = NULL;
#line 1109 "TimerView.c"
}


/**
     * Configures the container with the action buttons.
     */
static void __lambda14_ (TimerView* self, GtkButton* e) {
	TaskTimer* _tmp0_ = NULL;
#line 239 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 240 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 240 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	task_timer_end_iteration (_tmp0_);
#line 1124 "TimerView.c"
}


static void ___lambda14__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 239 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	__lambda14_ ((TimerView*) self, _sender);
#line 1131 "TimerView.c"
}


static void __lambda15_ (TimerView* self, GtkButton* e) {
	TaskTimer* _tmp0_ = NULL;
#line 242 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	task_timer_set_active_task_done (_tmp0_);
#line 1143 "TimerView.c"
}


static void ___lambda15__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 242 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	__lambda15_ ((TimerView*) self, _sender);
#line 1150 "TimerView.c"
}


static void _timer_view_on_run_btn_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_on_run_btn_clicked ((TimerView*) self);
#line 1157 "TimerView.c"
}


static void timer_view_setup_action_container (TimerView* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkButton* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GtkButton* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	GtkButton* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
	GtkGrid* _tmp11_ = NULL;
	GtkGrid* _tmp12_ = NULL;
	GtkGrid* _tmp13_ = NULL;
	GtkButton* _tmp14_ = NULL;
	GtkButton* _tmp15_ = NULL;
	GtkButton* _tmp16_ = NULL;
	GtkButton* _tmp17_ = NULL;
	GtkButton* _tmp18_ = NULL;
	GtkButton* _tmp19_ = NULL;
	GtkButton* _tmp20_ = NULL;
	GtkButton* _tmp21_ = NULL;
	GtkButton* _tmp22_ = NULL;
	GtkGrid* _tmp23_ = NULL;
	GtkButton* _tmp24_ = NULL;
	GtkGrid* _tmp25_ = NULL;
	GtkButton* _tmp26_ = NULL;
	GtkGrid* _tmp27_ = NULL;
	GtkButton* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
	GtkGrid* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
	GtkGrid* _tmp32_ = NULL;
	GtkGrid* _tmp33_ = NULL;
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_grid);
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->action_grid = _tmp0_;
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_timer_grid);
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->action_timer_grid = _tmp1_;
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp2_);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_task_grid);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->action_task_grid = _tmp2_;
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = (GtkButton*) gtk_button_new ();
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->run_btn);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->run_btn = _tmp3_;
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = _ ("S_kip");
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = (GtkButton*) gtk_button_new_with_label (_tmp4_);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp5_);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->skip_btn);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->skip_btn = _tmp5_;
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = _ ("_Done");
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp7_ = (GtkButton*) gtk_button_new_with_label (_tmp6_);
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp7_);
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->done_btn);
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->done_btn = _tmp7_;
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp8_ = self->priv->action_grid;
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp8_, GTK_ORIENTATION_HORIZONTAL);
#line 225 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp9_ = self->priv->action_grid;
#line 225 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp10_ = self->priv->action_timer_grid;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp10_, TRUE);
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp11_ = self->priv->action_task_grid;
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp11_, TRUE);
#line 228 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp12_ = self->priv->action_timer_grid;
#line 228 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_END);
#line 229 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp13_ = self->priv->action_task_grid;
#line 229 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp13_, GTK_ALIGN_START);
#line 230 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp14_ = self->done_btn;
#line 230 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp14_, "margin", 7, NULL);
#line 231 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp15_ = self->priv->run_btn;
#line 231 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp15_, "margin", 7, NULL);
#line 232 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp16_ = self->priv->skip_btn;
#line 232 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp16_, "margin", 7, NULL);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp17_ = self->done_btn;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp17_, TRUE);
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp18_ = self->priv->skip_btn;
#line 235 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp18_, TRUE);
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp19_ = self->priv->run_btn;
#line 236 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp19_, TRUE);
#line 239 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp20_ = self->priv->skip_btn;
#line 239 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp20_, "clicked", (GCallback) ___lambda14__gtk_button_clicked, self, 0);
#line 242 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp21_ = self->done_btn;
#line 242 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp21_, "clicked", (GCallback) ___lambda15__gtk_button_clicked, self, 0);
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp22_ = self->priv->run_btn;
#line 245 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_signal_connect_object (_tmp22_, "clicked", (GCallback) _timer_view_on_run_btn_clicked_gtk_button_clicked, self, 0);
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp23_ = self->priv->action_timer_grid;
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp24_ = self->priv->skip_btn;
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp23_, (GtkWidget*) _tmp24_);
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp25_ = self->priv->action_timer_grid;
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp26_ = self->priv->run_btn;
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp25_, (GtkWidget*) _tmp26_);
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp27_ = self->priv->action_task_grid;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp28_ = self->done_btn;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp27_, (GtkWidget*) _tmp28_);
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp29_ = self->priv->action_grid;
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp30_ = self->priv->action_task_grid;
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp31_ = self->priv->action_grid;
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp32_ = self->priv->action_timer_grid;
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp31_, (GtkWidget*) _tmp32_);
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp33_ = self->priv->action_grid;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp33_);
#line 1344 "TimerView.c"
}


static void timer_view_setup_progress_bar (TimerView* self) {
	GtkProgressBar* _tmp0_ = NULL;
	GtkProgressBar* _tmp1_ = NULL;
	GtkProgressBar* _tmp2_ = NULL;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = (GtkProgressBar*) gtk_progress_bar_new ();
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->progress);
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv->progress = _tmp0_;
#line 258 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = self->priv->progress;
#line 258 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp1_, TRUE);
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = self->priv->progress;
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp2_);
#line 1370 "TimerView.c"
}


/**
     * This funciton is to be called, when the to-do list is empty
     */
void timer_view_show_no_task (TimerView* self) {
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	GtkButton* _tmp6_ = NULL;
#line 265 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp0_ = self->priv->task_status_lbl;
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp1_ = _ ("Relax");
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp2_ = g_strconcat (_tmp1_, ".", NULL);
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp3_ = _tmp2_;
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_label_set_label (_tmp0_, _tmp3_);
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_free0 (_tmp3_);
#line 267 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp4_ = self->priv->task_description_lbl;
#line 267 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp5_ = _ ("You have nothing to do.");
#line 267 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_label_set_label (_tmp4_, _tmp5_);
#line 268 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_tmp6_ = self->done_btn;
#line 268 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp6_, FALSE);
#line 1409 "TimerView.c"
}


static void timer_view_class_init (TimerViewClass * klass) {
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	timer_view_parent_class = g_type_class_peek_parent (klass);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	g_type_class_add_private (klass, sizeof (TimerViewPrivate));
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	G_OBJECT_CLASS (klass)->finalize = timer_view_finalize;
#line 1420 "TimerView.c"
}


static void timer_view_instance_init (TimerView * self) {
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self->priv = TIMER_VIEW_GET_PRIVATE (self);
#line 1427 "TimerView.c"
}


static void timer_view_finalize (GObject* obj) {
	TimerView * self;
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TIMER_VIEW, TimerView);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_task_timer_unref0 (self->priv->timer);
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->progress);
#line 27 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_status_lbl);
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_description_lbl);
#line 29 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->timer_grid);
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->h_spin);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->m_spin);
#line 32 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->s_spin);
#line 33 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_grid);
#line 34 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_timer_grid);
#line 35 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_task_grid);
#line 36 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->run_btn);
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->skip_btn);
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	_g_object_unref0 (self->done_btn);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-release_v1.5/src/view/TimerView.vala"
	G_OBJECT_CLASS (timer_view_parent_class)->finalize (obj);
#line 1465 "TimerView.c"
}


/**
 * The widget for selecting, displaying and controlling the active task.
 */
GType timer_view_get_type (void) {
	static volatile gsize timer_view_type_id__volatile = 0;
	if (g_once_init_enter (&timer_view_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (TimerViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) timer_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TimerView), 0, (GInstanceInitFunc) timer_view_instance_init, NULL };
		GType timer_view_type_id;
		timer_view_type_id = g_type_register_static (gtk_grid_get_type (), "TimerView", &g_define_type_info, 0);
		g_once_init_leave (&timer_view_type_id__volatile, timer_view_type_id);
	}
	return timer_view_type_id__volatile;
}



